2013-01-23  Robin Sonefors <robin.sonefors@op5.com>

	* plugins/check_snmp.c: fix memory allocation if using >= 8 oids

2012-06-27  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_tcp.c: check_tcp: Print performance data even with
	-D When using the 1.4.15 release of the Nagios Plugins, a command such
	as   check_tcp -H pop.example.com -p 995 -D 14 usually produced two lines of output, e.g.:   OK - Certificate will expire on 12/13/2014 23:59.    TCP OK - 0.009 second response time on port
	  995|time=0.008849s;;;0.000000;10.000000 The second line was removed by
	4d06603060fc1233861b164870f0d3a2e0d8d2eb.  However, as the old
	two-line output is a valid (though in this case unintended) way to
	spit out performance data, removing the second line might break
	current setups.  Therefore, we revert to the old behaviour, at least
	for the moment.  The issue was reported by Jochen Bern on the "nagiosplug-devel"
	mailing list (Message-ID: <4FEAE812.8030309@LINworks.de>).

2012-06-27  Holger Weiss <holger@zedat.fu-berlin.de>

	* BUGS: Update the BUGS file Remove the bug reports that were closed, and add two new items.

2012-06-27  Sven Nierlein <sven@nierlein.de>

	* plugins/check_snmp.c, plugins/tests/check_snmp.t: check_snmp: use
	single quotes for perf data labels

2012-06-26  Sven Nierlein <sven@nierlein.de>

	* NEWS, THANKS.in, plugins/check_snmp.c, plugins/tests/check_snmp.t: 
	Fix performance data label containing spaces in check_snmp (Jochen
	Bern) Add --perf-oids option for check_snmp to retain optional 1.4.14
	compatibility

2012-06-26  Holger Weiss <holger@zedat.fu-berlin.de>

	* THANKS.in: Remove team members from the THANKS file The (current and past) team members are listed in the AUTHORS file.

2012-06-26  Holger Weiss <holger@zedat.fu-berlin.de>

	* AUTHORS, THANKS.in: Add Sven Nierlein to the list of AUTHORS

2012-06-25  William Leibzon <william@leibzon.org>

	* plugins/tests/check_http.t: added test case for certificate checs
	with both warning and critical values

2012-06-25  Sven Nierlein <sven@nierlein.de>

	* plugins/sslutils.c, plugins/t/check_http.t, plugins/t/check_tcp.t: 
	check_http: added test for warning thresholds fixed typo in sslutils

2012-06-25  Sven Nierlein <sven@nierlein.de>

	* NEWS, THANKS.in: updated changelog

2012-05-21  William Leibzon <william@leibzon.org>

	* plugins/check_http.c, plugins/check_smtp.c, plugins/check_tcp.c,
	plugins/netutils.h, plugins/sslutils.c: applied patch that adds both
	critical and warning thresholds to certificate expiration checks of
	check_tcp, check_http, check_smtp

2012-06-25  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_ping.c: check_ping: Add missing newline to die()
	calls Our die() function expects the caller to append the trailing newline
	character.

2012-06-25  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS: NEWS: Improve the wording a bit

2012-06-25  Holger Weiss <holger@zedat.fu-berlin.de>

	* : Merge remote-tracking branch 'github/waja/master' Conflicts: 	NEWS

2012-06-23  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, THANKS.in, plugins-scripts/check_disk_smb.pl: 
	check_disk_smb: Add performance data (Debian #654259 - Charles-Henri Larose)

2012-06-22  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/t/check_by_ssh.t: Fix check_by_ssh test for non-Bash login
	shells In the C shell and in the Z shell, the "?" character must be quoted
	or backslash-escaped in order to use it verbatim.  Therefore, a
	command such as 	check_by_ssh -H test.example.com -l joe echo huh? might fail, depending on joe's login shell on test.example.com.  Just to make sure, this commit removes most punctuation characters
	from our test strings.

2012-06-14  Holger Weiss <holger@zedat.fu-berlin.de>

	* THANKS.in, plugins-root/check_dhcp.c: check_dhcp: Don't
	misinterpret the "siaddr" field RFC 2131 (2.) says: "DHCP clarifies the interpretation of the
	'siaddr' field as the address of the server to use in the next step
	of the client's bootstrap process."  So, we shouldn't interpret this
	field as the DHCP server's own address.  (#3503921 - Jason Ellison)

2012-06-13  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, plugins-root/check_dhcp.c: check_dhcp: Fix handling of "pad"
	options Don't let "pad" options[*] terminate the parsing of DHCP options.
	This bug was triggered by using check_dhcp against Windows 2003 DHCP
	servers (see #3503921).  [*] Cf. RFC 2132, 3.1.

2012-06-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, THANKS.in, plugins/check_ping.c: Improve parsing of ping6(1)
	output The ping6(1) implementation provided by Debian's iputils-ping
	package may produce output such as the following: | 3 packets transmitted, 0 received, +3 errors, 100% packet loss,
	time 2009ms There's a corresponding pattern in check_ping.c:458: | "%*d packets transmitted, %*d received, +%*d errors, %d%% packet
	loss" Without this fix, the pattern in check_ping.c:456 matched first (as
	sscanf(3) interprets "+3" as a match for "%d"): | "%*d packets transmitted, %*d received, %d%% loss, time" (#1894850 - Debian bug report #514588 - Matej Vela)

2012-06-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/sslutils.c: Fix whitespace and capitalization issues Fix indentation and whitespace issues, and correct some
	capitalization errors in error messages.  The behaviour is
	unchanged.

2012-06-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/sslutils.c: Don't use SSLv2 when compiling against GnuTLS GnuTLS doesn't support SSL version 2.

2012-06-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_users.c: check_users: Whitespace fixes, etc.

2012-06-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, THANKS.in: Update NEWS and THANKS w.r.t. check_users change

2012-04-17  M. Remy <mremy@gmx.ch>

	* plugins/Makefile.am, plugins/check_users.c: check_users: improve
	performance This patch use the utxent function family to collect the user data.
	It improve the check speed.  Need a system conforming to
	POSIX.1-2001.

2012-06-06  Sebastian Harl <sh@teamix.net>

	* plugins/sslutils.c: sslutils: Check if OpenSSL supports SSLv2.  Recent versions/builds seem to disable that feature.

2012-05-29  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, THANKS.in, plugins-scripts/utils.sh.in: Mention the
	check_range function in NEWS, etc.

2012-04-18  Alex Griffin <griffin.aj@gmail.com>

	* plugins-scripts/utils.sh.in: Added check_range shell function to
	utils.sh.in

2012-05-29  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_http.c: check_http: Fix -C/--certificate option
	handling The support for specifying the desired SSL protocol version via an
	optional -S/--ssl argument broke the -C/--certificate option.  This
	is fixed now.

2012-05-28  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_http.c: check_http: Don't ignore SSL initialization
	errors SSL initialization errors are now handled properly by check_http
	(#3095106 - Eric Schoeller).

2012-05-28  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, THANKS.in, plugins/check_http.c, plugins/sslutils.c: Add
	support for specifying SSL protocol version The check_http -S/--ssl option now takes an optional argument which
	specifies the desired SSL/TLS protocol version (#3285367 - Jason
	Lunn).

2012-05-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, plugins/sslutils.c: Disable stateless SSL session resumption Some versions of OpenSSL fail to negotiate the SSL connection with
	at least some versions of Tomcat if stateless SSL session resumption
	support (see RFC4507) is enabled: | CRITICAL - Cannot make SSL connection |
	140099330348712:error:140943F2:SSL routines:SSL3_READ_BYTES:sslv3
	alert unexpected message:s3_pkt.c:1195:SSL alert number 10 The problem is reproducible with OpenSSL 1.0.0h, but not with
	OpenSSL 0.9.8o-4squeeze12 (as shipped with Debian 6.0.4).  We work
	around it by disabling the RFC4507 functionality when using OpenSSL
	versions which support it.  Thanks to Dag Bakke for reporting the issue and for giving me access
	to a server I could use to reproduce the problem.

2012-04-17  Holger Weiss <holger@zedat.fu-berlin.de>

	* .gitignore: Add nagios-plugins.spec file to .gitignore The nagios-plugins.spec file is created from nagios-plugins.spec.in
	and should be ignored by Git.

2012-04-17  Jan Wagner <waja@cyconet.org>

	* NEWS, plugins/check_ping.c: Fix check_ping where output of ping6
	when unreachable (Debian #662638)

2012-04-10  Matthias Eble <psychotrahe@users.sourceforge.net>

	* : commit 8c7e2b636c601dd05a6881c84cc95136ecf9323e Author: Holger
	Weiss <holger@zedat.fu-berlin.de> Date:   Mon Apr 9 23:04:55 2012
	+0200

2012-04-09  Sven Nierlein <sven@nierlein.de>

	* plugins/check_by_ssh.c, plugins/t/check_by_ssh.t: check_by_ssh:
	added -F config file to specify alternative ssh config

2012-04-06  Eric Stanley <estanley@nagios.com>

	* : commit 9cdd9a149c1c0213802d15cc204d60b3199a9653 Author: Eric
	Stanley <estanley@nagios.com> Date:   Fri Apr 6 10:18:47 2012 -0500

2012-02-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_http.c: Clarify that check_http won't verify
	certificates Add a note to the --help output which clarifies that check_http
	doesn't perform certificate verification (beyond what the "-C"
	option does).  (Suggested by Michael Renner in Debian bug report #644627, forwarded
	by Jan Wagner.)

2012-02-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_snmp.c: Cosmetic change Replace all occurrences of "strstr(s, "c") == s" with "s[0] == 'c'".

2012-02-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_snmp.c: Accept multiple labels specified with "-l" Fix the code which accepts a comma-separated list of labels
	specified via the "-l" option.  (Spotted by Oskar Liljeblad in Debian bug report #647020, forwarded
	by Jan Wagner.)

2012-02-10  Eric Stanley <estanley@nagios.com>

	* configure.in, plugins/common.h: Enable compiling on AIX 6.1

2012-01-20  Eric Stanley <estanley@nagios.com>

	* Makefile.am, pkg/solaris/solpkg: Added pst3 to Solaris package.

2011-12-25  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS: Updated Nagios::Plugin library

2011-12-16  Eric Stanley <estanley@nagios.com>

	* Makefile.am, pkg/solaris/pkginfo.in, pkg/solaris/solpkg: Commit
	files which were inadvertently omitted from the previous commit.

2011-12-16  Eric Stanley <estanley@nagios.com>

	* pkg/solaris/preinstall: Updated Solaris package creation to newer
	standards The Solaris package creation has been updated to newer standards to
	match those of the NRPE package. The following changes have been
	    made: - the plugins now install under /opt/nagios     - the name of package is now NGOSplugin     - the files installed are now owned by the nagios user     - the package includes a pre-installation script that creates a
	        nagios user and a nagios group if one did not previously exist

2011-12-16  Eric Stanley <estanley@nagios.com>

	* m4/np_mysqlclient.m4: Fixed issue for compiling mysql plugin on
	Solaris On Solaris, in the case where the mysql libraries were compiled
	using a non-gcc compiler, but the plugins are being compiled with
	gcc, the configure process would incorrectly determine the
	MYSQLCFLAGS. This has been corrected in the m4/np_mysqlclient.m4
	file.

2011-09-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins-scripts/check_sensors.sh: check_sensors: Use symbolic exit
	codes Specify the exit codes by using the constants from utils.sh.

2011-09-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins-scripts/check_sensors.sh: check_sensors: Minor whitespace
	fixes

2011-09-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, plugins-scripts/check_sensors.sh: check_sensors: Detect
	FAULT status Return an UNKNOWN status if a faulty sensor is detected.  This can
	be suppressed with the new "--ignore-fault" option.  (Fixes Debian bug #615133, patch suggested by Jan Wagner.)

2011-09-06  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_radius.c: Make GCC happy It won't trust us about msg containing no format string, and fail
	miserably when compiled with -Werror=format-security. Reported by
	spy6 on IRC.

2011-08-13  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_ldap.c: Fix: check_ldap now correctly handles the
	long option --hostname for -H The undocumented --host has been changed to --hostname which is
	actually mentioned in --help. Thanks to lgarrett (#3191388)

2011-07-15  Ton Voon <ton.voon@opsera.com>

	* NEWS, plugins/check_smtp.c, plugins/check_tcp.c: Fix check_smtp
	and check_tcp where duplicate messages were displayed for
	certificate errors (Opsview team)

2011-07-15  Ton Voon <ton.voon@opsera.com>

	* NEWS, plugins/check_smtp.c: New option to check_smtp to ignore
	failures when sending QUIT (#3358348 - Duncan Ferguson)

2011-04-28  Sebastian Harl <sh@teamix.net>

	* NEWS, THANKS.in, plugins-root/check_icmp.c: check_host: Allocate a
	large-enough buffer for the host table.  When specifying a host-name on the command line, each of its IPs is
	added to the host table (and each one is pinged). So, the buffer has
	to be large enough to hold all of the respective host objects. (argc
	- 1) only fits hosts with a single IP.  Thanks to Max Kosmach <max@tcen.ru> for reporting this in Debian bug
	#623702.

2011-03-26  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/check_ssh.c: Add perfdata to check_ssh
	(#3244097 - Marco Beck)

2011-02-08  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_smtp.c: check_smtp: Abort on missing/unexpected
	greeting Abort immediately if we don't receive a server greeting or if the
	greeting doesn't contain the "--expect"ed string (by default: "220")
	instead of blindly sending the EHLO/HELO line.  Spotted by Daniel Piddock, see Debian bug report #611914.

2011-02-04  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/sslutils.c, plugins/t/check_http.t,
	plugins/tests/check_http.t: check_http: check for and print the
	certificate cn This patch adds a check for the certificate cn (hostname) to normal
	certificate checks. It returns CRITICAL if th cn is missing,
	otherwise it prints it in the normal output.  Patch by Stéphane Urbanovski

2011-01-21  Ton Voon <ton.voon@opsera.com>

	* NEWS, plugins/check_procs.c, plugins/tests/check_procs.t: Fix for
	regex input of '|', being output causing problems with Nagios'
	parsing of performance data. Now replaced with ','

2011-01-05  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/t/check_snmp.t, plugins/tests/check_snmp.t,
	plugins/tests/check_snmp_agent.pl: Test updates...  1. Timetick test could fail with uptime > 115 days. Thresholds are
	double type, so it's safe to put a large number even for 32bit
	systems.  2. Add a test based on an invalid bug report, worthy anyway.

2011-01-01  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/sfsnapshot-upload: Update the README text

2011-01-01  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/check_http.c: Make check_http use standard threshold
	functions This enables floating point and ranges, and make the code more
	standard.

2010-12-23  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/check_ldap.c: Fix check_ldap overriding the port
	when --ssl was specified after -p

2010-11-30  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/tests/check_http.t, plugins/tests/check_snmp.t: Fix minor
	test issues My Test::More wouldn't print the total number of tests anymore,
	moving the plan at the top appears to fix it.  At the same time I made check-http.t eval the special modules so it
	can skip the tests instead of failing.

2010-11-30  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/check_snmp.c, plugins/tests/check_snmp.t: Revert
	"check_snmp now considers strings returned by SNMP that contain
	just" This reverts commit 896962a1ad1b7d7c75d42c565b06cc799feb0a7c.  Conflicts: 	NEWS 	plugins/tests/check_snmp.t Notes: 	Reverting because I rebased a patch that was doing the same thing,
		plus fixing more related regressions, and both didn't work
		together.  I kept the tests intact except for one that wouldn't pass
		on 1.4.14 either

2010-11-30  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/tests/check_snmp.t: State-based tests enhancements - Use /var/tmp for state if no state dir environment variable is
	  set, this avoid the need for a writable localstatedir during tests.  - Use "rm -f", mostly to avoid printing out garbage of the directory   doesn't exists

2010-11-30  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/check_snmp.c, plugins/t/check_snmp.t: check_snmp:
	Remove that is_numeric madness Original patch to make Timeticks works as in check_snmp v1.4.14, it
	turns out is_numeric isn't so useful and treating all types as
	numeric works best for backwards-compatibility. This is how it used
	to work in 1.4.14.  As a special case, I also make calculate_rate look up for numeric
	values as it would otherwise return the last value instead.

2010-11-28  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins-scripts/t/check_disk_smb.t: add test cases for
	check_disk_smb

2010-11-28  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins-scripts/check_disk_smb.pl: check_disk_smb now
	handles NT_STATUS_ACCESS_DENIED properly (Debian #601696)

2010-11-28  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins-scripts/check_disk_smb.pl: Make check_disk_smb
	accept spaces in share names (#990948, #1370031, Debian #601699)

2010-11-15  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, lib/utils_disk.c, lib/utils_disk.h, plugins/check_disk.c: 
	Fix check_disk free space calculation if blocksizes differ within a
	disk group (Bekar - #2973603) Various values (dused_pct, dfree_pct, inodes_free, inodes_total,
	...) are now carried in the parameter_list structure. Assignments
	have been moved to a subroutine preventing code redundancies.  Group
	metrics are now calculated based on units rather than blocks. This
	fixes freespace calculation when blocksizes differ within a group.

2010-11-15  nagios <nagios@opsviewdev32.(none)>

	* NEWS, plugins/check_snmp.c, plugins/tests/check_snmp.t,
	plugins/tests/check_snmp_agent.pl: check_snmp now considers strings
	returned by SNMP that contain just numbers (according to strtod) to
	be a numeric value for threshold and performance data

2010-10-16  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS: Update NEWS for last commit

2010-10-13  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* THANKS.in, plugins/check_nt.c: check_nt: make UPTIME accept
	warning/critical levels Patch originally by Ryan Kelly

2010-10-11  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/sfsnapshotgit: sfsnapshotgit: Better handling of remote refs This commit allow to track branches from unusually-named remote refs
	and makes possible using external remotes (other than origin) for
	snapshots.

2010-10-05  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* contrib/check_linux_raid.pl: Patch for check_linux_raid with on
	linear/raid0 arrays Fixes bug #3049988, Debian bug #579049

2010-08-31  Ton Voon <ton.voon@opsera.com>

	* plugins/check_http.c: Fix typos in -f help text

2010-07-27  Holger Weiss <holger@zedat.fu-berlin.de>

	* COPYING: Update the COPYING file to the GPLv3 We switched to the GPLv3 early in 2008, but we forgot to update the
	COPYING file accordingly.

2010-07-27  Ton Voon <ton.voon@opsera.com>

	* BUGS, ChangeLog, NEWS, NP-VERSION-GEN, configure.in, package.def: 
	1.4.15 prep

2010-07-14  Ton Voon <ton.voon@opsera.com>

	* : commit 9bab433981f6c67b40776d1916baae28a0243124 Author: Ton Voon
	<ton.voon@opsera.com> Date:   Wed Jul 14 14:22:04 2010 +0100

2010-07-09  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_snmp.c, po/de.po, po/fr.po, po/nagios-plugins.pot: 
	Fix --help output when MAX_OIDS is altered.

2010-07-07  Ton Voon <ton.voon@opsera.com>

	* NEWS, plugins/check_disk.c: Fix examples in check_disk, where it
	implied was possible to suffix unit values to warn/crit parameters

2010-07-07  Ton Voon <ton.voon@opsera.com>

	* NEWS, THANKS.in, plugins-scripts/check_ifstatus.pl: Allow
	check_ifstatus to accept version=2c

2010-07-02  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, lib/utils_cmd.c: Fix cmd_run overwriting the environment Some commands need the environment to function properly. One such
	example is check_ssh and check_by_ssh when a SOCKS proxy is
	required.  This patch use setenv and extern char **environ to alter and pass
	the new environment to the child process Those modules have been
	added to Gnulib for portability.

2010-07-02  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4: Import the environ module
	from gnulib (86ba51)

2010-07-02  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Be careful with "--no-merge" The "-X" option (which asks git-notify to not report merge commits)
	was implemented by setting the "--no-merge" option on each
	invocation of git-rev-list(1).  However, we do not only use
	git-rev-list(1) to get the list of new commits, but also to check
	whether the old branch head (or tag) is a parent of the new branch
	head (or tag).  For this latter check, the "--no-merge" option
	should not be set; otherwise, git-notify would be fooled to believe
	that the branch has been rewritten if the old head was a merge
	commit.

2010-06-30  tonvoon <ton.voon@opsview.com>

	* plugins/check_snmp.c, plugins/tests/check_snmp.t: Corrected
	rate_multiplier calculation

2010-06-30  tonvoon <ton.voon@opsview.com>

	* plugins/check_snmp.c, plugins/tests/check_snmp.t: Removed suffix
	of "-rate" and let user decide label via --label

2010-06-30  tonvoon <ton.voon@opsview.com>

	* plugins/check_snmp.c, plugins/tests/check_snmp.t: Tests for
	--rate-multiplier option

2010-06-30  Ton Voon <ton.voon@opsera.com>

	* : commit 6805fecd620e4f2c2fa53f2a331e7c6a005ea9c4 Author: Ton Voon
	<ton.voon@opsera.com> Date:   Wed Jun 30 09:01:14 2010 +0100

2010-06-25  tonvoon <ton.voon@opsview.com>

	* lib/tests/Makefile.am: Add test file directory

2010-06-24  Ton Voon <ton.voon@opsera.com>

	* lib/tests/test_utils.c, lib/utils_base.c: Cleanup some warnings
	displayed from IRIX tinderbox server

2010-06-24  Ton Voon <ton.voon@opsera.com>

	* gl/Makefile.am, gl/m4/eealloc.m4, gl/m4/environ.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/malloca.m4,
	gl/m4/setenv.m4, gl/malloca.c, gl/malloca.h, gl/malloca.valgrind,
	gl/setenv.c, gl/unsetenv.c: Added unsetenv and setenv from gnulib

2010-06-24  Ton Voon <ton.voon@opsera.com>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/strsep.m4, gl/strsep.c: Added strsep to gnulib, for
	check_snmp.c

2010-06-23  tonvoon <ton.voon@opsview.com>

	* NEWS, plugins/check_snmp.c, plugins/tests/check_snmp.t,
	plugins/tests/check_snmp_agent.pl, po/de.po, po/fr.po,
	po/nagios-plugins.pot: Added option to invert search results

2010-06-23  tonvoon <ton.voon@opsview.com>

	* NEWS, plugins/check_http.c, plugins/tests/check_http.t: Display
	missing search string and URL when failed (Duncan Ferguson #2999924)

2010-06-17  Ton Voon <ton.voon@opsera.com>

	* NEWS, build-aux/c++defs.h, build-aux/warn-on-use.h,
	gl/Makefile.am, gl/alloca.c, gl/config.charset, gl/error.c,
	gl/getopt.c, gl/getopt_int.h, gl/localcharset.c,
	gl/m4/asm-underscore.m4, gl/m4/getopt.m4, gl/m4/gettext.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/iconv.m4, gl/m4/intl.m4,
	gl/m4/lib-link.m4, gl/m4/netdb_h.m4, gl/m4/onceonly.m4,
	gl/m4/po.m4, gl/m4/printf.m4, gl/m4/sha1.m4, gl/m4/sockpfaf.m4,
	gl/m4/stdint.m4, gl/m4/stdio_h.m4, gl/m4/string_h.m4,
	gl/m4/strnlen.m4, gl/m4/time_h.m4, gl/m4/unistd_h.m4,
	gl/m4/vasnprintf.m4, gl/m4/visibility.m4, gl/netdb.in.h,
	gl/regex_internal.c, gl/regex_internal.h, gl/sha1.c, gl/sha1.h,
	gl/stdbool.in.h, gl/stdio-write.c, gl/stdio.in.h, gl/strerror.c,
	gl/string.in.h, gl/sys_stat.in.h, gl/time.in.h, gl/unistd.in.h,
	gl/vasnprintf.c, gl/verify.h, gl/wchar.in.h, lib/Makefile.am,
	lib/tests/Makefile.am, lib/tests/test_utils.c,
	lib/tests/var/.gitignore, lib/tests/var/baddate,
	lib/tests/var/missingdataline, lib/tests/var/oldformat,
	lib/tests/var/statefile, lib/utils_base.c, lib/utils_base.h,
	plugins/Makefile.am, plugins/check_snmp.c,
	plugins/tests/check_snmp.t, plugins/tests/check_snmp_agent.pl: Added
	state retention APIs. Implemented for check_snmp with --rate option.  See http://nagiosplugin.org/c-api-private for more details on the
	API.  Also updated check_snmp -l option to change the perfdata label.

2010-06-18  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS: NEWS entry for last commit

2009-08-05  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* configure.in: Attempt at detecting 64bit compilation flags between
	gcc, old, and new versions of sun cc Gcc accepts -m64, just as newer version of Suncc.  Older Suncc
	required -xarch=v9 (SPARC) or -xarch=amd64 (x86-64) to generate
	64bit code.

2010-05-08  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_smtp.c: Add missing --fqdn help (Jan Wagner)

2010-04-28  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/utils.h, po/de.po, po/fr.po, po/nagios-plugins.pot: Update
	extra-opts help text based on ML agreement

2010-04-28  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* .gitignore, tools/distclean: tools/distclean: use git-clean when
	possible git-clean is much faster and more reliable...  Also add confdefs.h in gitignore, although this file is normally
	removed at the end of the configure script.

2010-04-28  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* build-aux/ltmain.sh, gl/m4/libtool.m4, gl/m4/ltoptions.m4,
	gl/m4/ltsugar.m4, gl/m4/ltversion.m4, gl/m4/lt~obsolete.m4: Update
	libtool Nagios-plugins wouldn't compile on Ubuntu 10.04 (Lucid) with the old
	libtool

2010-04-22  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins-root/check_dhcp.c, plugins-root/check_icmp.c,
	plugins/check_apt.c, plugins/check_by_ssh.c,
	plugins/check_cluster.c, plugins/check_dig.c, plugins/check_disk.c,
	plugins/check_dns.c, plugins/check_dummy.c, plugins/check_fping.c,
	plugins/check_game.c, plugins/check_hpjd.c, plugins/check_http.c,
	plugins/check_ide_smart.c, plugins/check_ldap.c,
	plugins/check_load.c, plugins/check_mrtg.c, plugins/check_mysql.c,
	plugins/check_mysql_query.c, plugins/check_nagios.c,
	plugins/check_nt.c, plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c, plugins/check_nwstat.c,
	plugins/check_overcr.c, plugins/check_pgsql.c,
	plugins/check_ping.c, plugins/check_procs.c,
	plugins/check_radius.c, plugins/check_real.c, plugins/check_smtp.c,
	plugins/check_snmp.c, plugins/check_ssh.c, plugins/check_swap.c,
	plugins/check_tcp.c, plugins/check_time.c, plugins/check_ups.c,
	plugins/check_users.c, plugins/negate.c, plugins/urlize.c: Add
	newline after "Usage:" in --help

2010-04-22  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_cluster.c: Split long line in check_cluster --help

2010-04-21  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* po/de.po, po/fr.po, po/nagios-plugins.pot: Update French
	translations with extra-opts change

2010-04-21  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins-root/check_dhcp.c, plugins-root/check_icmp.c,
	plugins/check_apt.c, plugins/check_by_ssh.c,
	plugins/check_cluster.c, plugins/check_dig.c, plugins/check_disk.c,
	plugins/check_dns.c, plugins/check_fping.c, plugins/check_game.c,
	plugins/check_hpjd.c, plugins/check_http.c,
	plugins/check_ide_smart.c, plugins/check_ldap.c,
	plugins/check_load.c, plugins/check_mrtg.c,
	plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	plugins/check_mysql_query.c, plugins/check_nagios.c,
	plugins/check_nt.c, plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c, plugins/check_nwstat.c,
	plugins/check_overcr.c, plugins/check_pgsql.c,
	plugins/check_ping.c, plugins/check_procs.c,
	plugins/check_radius.c, plugins/check_real.c, plugins/check_smtp.c,
	plugins/check_snmp.c, plugins/check_ssh.c, plugins/check_swap.c,
	plugins/check_tcp.c, plugins/check_time.c, plugins/check_ups.c,
	plugins/check_users.c, plugins/utils.h: Standardize the extra-opts
	notes

2010-04-21  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/tests/check_snmp.t: Fix tests and update NEWS file

2010-04-15  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_snmp.c: Replace the lousy multiline parser with a
	robust one.  This one counts double quotes and backslashes so it should handle
	any level of escaping.

2009-09-17  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_snmp.c, plugins/tests/check_snmp_agent.pl: Attempt
	at fixing check_snmp multiline output: This patch tries to detect and output nicely multi-line strings.
	This method is broken by design; only a count of double-quotes and
	escapes could work in every situation.

2010-04-15  tonvoon <ton.voon@opsera.com>

	* NEWS: Updated Nagios::Plugin library

2010-04-14  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Fix the ordering of commits If notifications for multiple commits are created, sort them
	chronologically instead of in reverse chronological order.

2010-04-14  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins-root/check_dhcp.c, plugins-root/check_icmp.c,
	plugins/check_apt.c, plugins/check_by_ssh.c,
	plugins/check_cluster.c, plugins/check_dig.c, plugins/check_disk.c,
	plugins/check_dns.c, plugins/check_dummy.c, plugins/check_fping.c,
	plugins/check_game.c, plugins/check_hpjd.c, plugins/check_http.c,
	plugins/check_ide_smart.c, plugins/check_ldap.c,
	plugins/check_load.c, plugins/check_mrtg.c,
	plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	plugins/check_mysql_query.c, plugins/check_nagios.c,
	plugins/check_nt.c, plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c, plugins/check_nwstat.c,
	plugins/check_overcr.c, plugins/check_pgsql.c,
	plugins/check_ping.c, plugins/check_procs.c,
	plugins/check_radius.c, plugins/check_real.c, plugins/check_smtp.c,
	plugins/check_snmp.c, plugins/check_ssh.c, plugins/check_swap.c,
	plugins/check_tcp.c, plugins/check_time.c, plugins/check_ups.c,
	plugins/check_users.c, plugins/negate.c, plugins/urlize.c,
	plugins/utils.h, po/POTFILES.in, po/de.po, po/fr.po,
	po/nagios-plugins.pot: Fix translations when extra-opts aren't
	enabled Bug #2832884 reported problem with translations outputting pot file
	headers. This is caused by "" matching the header of the translation
	files.  This patch moves gettext macros inside utils macros and update some
	french translations.

2010-04-14  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_ntp.c, plugins/negate.c, po/de.po, po/fr.po,
	po/nagios-plugins.pot: Update french translation  (fix all fuzzy's)

2010-04-14  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/check_radius.c: Fix check_radius
	returning OK on unexpected results REJECT_RC is defined on some radiusclient versions and
	differenciates between auth errors and bad responses. This patch
	will affect only the behaviour of those clients exporting REJECT_RC.  In addition, unexpected return codes are now handled properly and
	return UNKNOWN.

2010-04-14  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS: Typo

2010-04-08  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins-root/Makefile.am, plugins-root/pst3.c: pst3.c must
	not use nagiosplug/gnulib includes

2010-04-07  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* .gitignore, build-aux/arg-nonnull.h, build-aux/c++defs.h,
	build-aux/config.rpath, build-aux/mkinstalldirs,
	build-aux/warn-on-use.h, gl/Makefile.am, gl/alignof.h, gl/alloca.c,
	gl/alloca.in.h, gl/arpa_inet.in.h, gl/asnprintf.c, gl/asprintf.c,
	gl/base64.c, gl/base64.h, gl/basename-lgpl.c, gl/basename.c,
	gl/btowc.c, gl/c-strtod.c, gl/c-strtod.h, gl/cloexec.c,
	gl/cloexec.h, gl/close-hook.c, gl/close-hook.h, gl/config.charset,
	gl/creat-safer.c, gl/dirname-lgpl.c, gl/dirname.c, gl/dirname.h,
	gl/dup-safer.c, gl/dup2.c, gl/errno.in.h, gl/error.c, gl/error.h,
	gl/exitfail.c, gl/exitfail.h, gl/fcntl--.h, gl/fcntl-safer.h,
	gl/fcntl.c, gl/fcntl.in.h, gl/fd-safer.c, gl/float+.h,
	gl/float.in.h, gl/floor.c, gl/floorf.c, gl/fsusage.c, gl/fsusage.h,
	gl/full-read.c, gl/full-read.h, gl/full-write.c, gl/full-write.h,
	gl/gai_strerror.c, gl/getaddrinfo.c, gl/getdtablesize.c,
	gl/gethostname.c, gl/getloadavg.c, gl/getopt.c, gl/getopt.in.h,
	gl/getopt1.c, gl/getopt_int.h, gl/gettext.h, gl/inet_ntop.c,
	gl/intprops.h, gl/langinfo.in.h, gl/localcharset.c,
	gl/localcharset.h, gl/locale.in.h, gl/m4/00gnulib.m4,
	gl/m4/alloca.m4, gl/m4/arpa_inet_h.m4, gl/m4/base64.m4,
	gl/m4/btowc.m4, gl/m4/c-strtod.m4, gl/m4/cloexec.m4,
	gl/m4/codeset.m4, gl/m4/dirname.m4, gl/m4/dos.m4,
	gl/m4/double-slash-root.m4, gl/m4/dup2.m4, gl/m4/errno_h.m4,
	gl/m4/error.m4, gl/m4/exitfail.m4, gl/m4/extensions.m4,
	gl/m4/fcntl-o.m4, gl/m4/fcntl-safer.m4, gl/m4/fcntl.m4,
	gl/m4/fcntl_h.m4, gl/m4/float_h.m4, gl/m4/floorf.m4,
	gl/m4/fstypename.m4, gl/m4/fsusage.m4, gl/m4/getaddrinfo.m4,
	gl/m4/getdtablesize.m4, gl/m4/gethostname.m4, gl/m4/getloadavg.m4,
	gl/m4/getopt.m4, gl/m4/gettext.m4, gl/m4/glibc2.m4,
	gl/m4/glibc21.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4, gl/m4/hostent.m4,
	gl/m4/iconv.m4, gl/m4/include_next.m4, gl/m4/inet_ntop.m4,
	gl/m4/inline.m4, gl/m4/intdiv0.m4, gl/m4/intl.m4, gl/m4/intldir.m4,
	gl/m4/intlmacosx.m4, gl/m4/intmax.m4, gl/m4/intmax_t.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes_h.m4, gl/m4/langinfo_h.m4,
	gl/m4/lcmessage.m4, gl/m4/lib-ld.m4, gl/m4/lib-link.m4,
	gl/m4/lib-prefix.m4, gl/m4/localcharset.m4, gl/m4/locale-fr.m4,
	gl/m4/locale-ja.m4, gl/m4/locale-zh.m4, gl/m4/locale_h.m4,
	gl/m4/lock.m4, gl/m4/longlong.m4, gl/m4/ls-mntd-fs.m4,
	gl/m4/malloc.m4, gl/m4/math_h.m4, gl/m4/mbrtowc.m4,
	gl/m4/mbsinit.m4, gl/m4/mbstate_t.m4, gl/m4/memchr.m4,
	gl/m4/mktime.m4, gl/m4/mmap-anon.m4, gl/m4/mode_t.m4,
	gl/m4/mountlist.m4, gl/m4/multiarch.m4, gl/m4/netdb_h.m4,
	gl/m4/netinet_in_h.m4, gl/m4/nl_langinfo.m4, gl/m4/nls.m4,
	gl/m4/onceonly.m4, gl/m4/open.m4, gl/m4/po.m4,
	gl/m4/printf-posix.m4, gl/m4/printf.m4, gl/m4/progtest.m4,
	gl/m4/regex.m4, gl/m4/safe-read.m4, gl/m4/safe-write.m4,
	gl/m4/servent.m4, gl/m4/size_max.m4, gl/m4/snprintf.m4,
	gl/m4/sockets.m4, gl/m4/socklen.m4, gl/m4/sockpfaf.m4,
	gl/m4/ssize_t.m4, gl/m4/stat.m4, gl/m4/stdbool.m4,
	gl/m4/stddef_h.m4, gl/m4/stdint.m4, gl/m4/stdint_h.m4,
	gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4, gl/m4/strdup.m4,
	gl/m4/strerror.m4, gl/m4/string_h.m4, gl/m4/strndup.m4,
	gl/m4/strnlen.m4, gl/m4/strstr.m4, gl/m4/sys_socket_h.m4,
	gl/m4/sys_stat_h.m4, gl/m4/threadlib.m4, gl/m4/time_h.m4,
	gl/m4/time_r.m4, gl/m4/timegm.m4, gl/m4/uintmax_t.m4,
	gl/m4/unistd-safer.m4, gl/m4/unistd_h.m4, gl/m4/vasnprintf.m4,
	gl/m4/vasprintf.m4, gl/m4/visibility.m4, gl/m4/vsnprintf.m4,
	gl/m4/warn-on-use.m4, gl/m4/wchar.m4, gl/m4/wchar_h.m4,
	gl/m4/wchar_t.m4, gl/m4/wcrtomb.m4, gl/m4/wctype.m4,
	gl/m4/wctype_h.m4, gl/m4/wint_t.m4, gl/m4/write.m4,
	gl/m4/xalloc.m4, gl/m4/xsize.m4, gl/m4/xstrndup.m4, gl/malloc.c,
	gl/math.in.h, gl/mbrtowc.c, gl/mbsinit.c, gl/memchr.c,
	gl/memchr.valgrind, gl/mktime-internal.h, gl/mktime.c,
	gl/mountlist.c, gl/mountlist.h, gl/netdb.in.h, gl/netinet_in.in.h,
	gl/nl_langinfo.c, gl/open-safer.c, gl/open.c, gl/pipe-safer.c,
	gl/printf-args.c, gl/printf-args.h, gl/printf-parse.c,
	gl/printf-parse.h, gl/ref-add.sin, gl/ref-del.sin, gl/regcomp.c,
	gl/regex.c, gl/regex.h, gl/regex_internal.c, gl/regex_internal.h,
	gl/regexec.c, gl/safe-read.c, gl/safe-read.h, gl/safe-write.c,
	gl/safe-write.h, gl/size_max.h, gl/snprintf.c, gl/sockets.c,
	gl/sockets.h, gl/stat.c, gl/stdbool.in.h, gl/stddef.in.h,
	gl/stdint.in.h, gl/stdio-write.c, gl/stdio.in.h, gl/stdlib.in.h,
	gl/str-two-way.h, gl/strdup.c, gl/streq.h, gl/strerror.c,
	gl/string.in.h, gl/stripslash.c, gl/strndup.c, gl/strnlen.c,
	gl/strstr.c, gl/sys_socket.in.h, gl/sys_stat.in.h, gl/time.in.h,
	gl/time_r.c, gl/timegm.c, gl/unistd--.h, gl/unistd-safer.h,
	gl/unistd.in.h, gl/vasnprintf.c, gl/vasnprintf.h, gl/vasprintf.c,
	gl/verify.h, gl/vsnprintf.c, gl/w32sock.h, gl/wchar.in.h,
	gl/wcrtomb.c, gl/wctype.in.h, gl/write.c, gl/xalloc-die.c,
	gl/xalloc.h, gl/xmalloc.c, gl/xsize.h, gl/xstrndup.c,
	gl/xstrndup.h, tools/setup: Sync with the latest Gnulib code
	(177f525) Signed-off-by: Thomas Guyot-Sionnest <dermoth@aei.ca>

2010-04-13  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_ntp_peer.c: Fix typo

2010-04-12  Holger Weiss <holger@zedat.fu-berlin.de>

	* contrib/check_linux_raid.pl: Fix Debian bug #574612: Return
	WARNING on rebuild Let check_linux_raid return a WARNING instead of an OK state during
	volume recovery.  See: http://bugs.debian.org/574612 (Fixed by Christoph Martin, forwarded by Jan Wagner.)

2010-04-12  Holger Weiss <holger@zedat.fu-berlin.de>

	* contrib/check_linux_raid.pl: Fix Debian bug #534604: Checking md10
	and above | check_linux_raid malfunctions if system has software RAID devices
	with | two or more digits.  For example, for system having
	/dev/md10, | /dev/md11 etc, the plugin returns 'UNKNOWN' in
	automatic mode (if RAID | devices are manually specified it works).
	Also, if system has both | one-digit, and two-digit RAID devices,
	the two-digit devices are | silently ignored in checks, which is
	even more problematic.  [ http://bugs.debian.org/534604 ] (Fixed by Matija Nalis, forwarded by Jan Wagner.)

2010-04-12  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, plugins-scripts/check_ircd.pl: Fix Debian bug #545940:
	Failure when run via ePN If Perl's "shift" function is called outside of a subroutine and
	without any argument, it usually shifts @ARGV.  However, if a plugin
	is executed via ePN, such a call will shift @_ instead, so we must
	explicitly specify @ARGV for this to work as expected.  This fixes Debian bug #545940, see: http://bugs.debian.org/545940 Commit de7191e3424e02ba278a39b86e8b1906a25d0362 fixed the same issue
	for check_disk_smb.  (Reported by Hendrik Jaeger, forwarded by Jan Wagner.)

2010-04-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, plugins/check_radius.c: Fix Debian bug #482947: No
	--nas-ip-address option | check_radius doesn't seem to provide any way to modify the |
	NAS-IP-Address attribute that it uses in the packets it sends, but
	it | does so for NAS-Identifier.  | | Instead, it hardcodes the IP
	address that it gets from the | rc_own_ipaddress() library call, and
	that in turn translates into | calling gethostbyname() on the result
	of uname(). This call can easily | fail, and its result can easily
	be unsuitable - for example when the | Nagios instance uses its own
	virtual host, and you don't want the | original system hostname
	leaked to the RADIUS servers you monitor with | this.  | |
	Furthermore, this behaviour is inconsistent with RFC 2865, which |
	defines the two attributes as analogous and never suggests
	hardcoding | the value of either of them in client software.  Therefore, this commit adds the "-N, --nas-ip-address" option which
	allows for specifying the value of the NAS-IP-Address attribute.  | I've also noticed that the original code for NAS-IP-Address
	hardcoding | is broken in its error handling - it does "return
	(ERROR_PC)", which | is meaningless in the context of
	check_radius.c. That actually seems | to be copy&waste from
	radiusclient-0.3.2/src/radexample.c. :) I fixed | that.  | | While
	debugging, I also took the opportunity to decouple the |
	nas-identifier rc_avpair_add() instance from the initial three, |
	because this is just bad practice to lump a fourth optional
	attribute | into the same block with the required attributes, the
	error handling | for which is throwing the same daft message "Out of
	Memory?"...  [ http://bugs.debian.org/482947 ] (Contributed by Josip Rodin, forwarded by Jan Wagner.)

2010-04-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, plugins/check_ldap.c: Fix Debian bug #479984: Allow empty
	LDAP base The check_ldap plugin did not allow for specifying an empty LDAP
	base.  See: http://bugs.debian.org/479984 (Fixed by Stephane Chazelas, forwarded by Jan Wagner.)

2010-04-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_http.c: Fix Debian bug #460097: check_http -M broken See: http://bugs.debian.org/460097 One instance of this bug has already been fixed in commit
	888358122004b9571c8fbdfa52ceee1ba5e5f4f2.  (Fixed by Hilko Bengen, forwarded by Jan Wagner.)

2010-04-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins-scripts/check_disk_smb.pl: Fix Debian bug #478942: Fragile
	argument passing Fix some problems regarding the way check_disk_smb passes command
	line arguments to smbclient(1).  | It runs: | | 	$res = qx/$smbclient "\/\/$host\/$share" $pass -W
	$workgroup \ | 	       -U $user $smbclientoptions -I $address -c
	ls/; | | [...] | | The documentation says that if the password is
	not passed, it | defaults to "".  That is not true above, as $pass
	expands to | nothing which leaves no argument at all (instead of an
	empty | argument) so is different from providing with an empty
	password | or with the -N option.  | | Also, if the password starts
	with "-", you're in trouble, that's | why -U $user%$pass may be
	prefered.  | | Also, the doc says that if $user is not provided,
	then it | defaults to "guest" but the problem is that if it is
	provided | but empty, it is changed to "guest" as well, which
	prevents us | from querying hosts that don't do user authentication.  [ http://bugs.debian.org/478942 ] (Fixed by Stephane Chazelas, forwarded by Jan Wagner.)

2010-04-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, THANKS.in, plugins-scripts/check_disk_smb.pl: Fix Debian bug
	#478906: Failure when run via ePN | When perl plugin scripts are run with the embedded perl
	interpreter in | nagios3, the "shift" perl command doesn't shift
	@ARGV, but @_ (which | happens to contain the same thing as @ARGV at
	the time the script was | started).  | | [...] | | A fix is to
	replace all the instances of "shift" with "shift @ARGV".  [ http://bugs.debian.org/478906 ] (Fixed by Stephane Chazelas, forwarded by Jan Wagner.)

2010-04-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* THANKS.in, plugins/check_ldap.c: Fix Debian bug #463322: Use
	deprecated libldap API | Our automated build log filter[1] detected a problem that is
	likely to | cause your package to segfault on architectures where
	the size of a | pointer is greater than the size of an integer, such
	as ia64 and | amd64.  | | This is often due to a missing function
	prototype definition.  For | more information, see [2].  | |
	Function `ldap_init' implicitly converted to pointer at |
	check_ldap.c:124 | | [1]
	http://people.debian.org/~dannf/check-implicit-pointer-functions |
	[2] http://wiki.debian.org/ImplicitPointerConversions | | The
	libldap API has been updated and many functions used by the ldap |
	plugin are now deprecated.  This package should either update to the
	| new API or define LDAP_DEPRECATED to continue using the deprecated
	| interfaces.  | | This patch implements the lazy solution.  [ http://bugs.debian.org/463322 ] (Contributed by Dann Frazier, forwarded by Jan Wagner.)

2010-04-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, THANKS.in, plugins-scripts/check_disk_smb.pl: Fix Debian bug
	#425129: SMB guest mode won't work | The check_disk_smb plugin purports to support guest users, but it
	| doesn't work out, because it doesn't specify the -N command line |
	option to smbclient when no password is specified, making smbclient
	| stop and ask.  [ http://bugs.debian.org/425129 ] (Fixed by Josip Rodin, forwarded by Jan Wagner.)

2010-04-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins/check_game.c: Fix Debian bug #307905: Incorrect usage
	output The usage output of check_game was wrong, see: 	http://bugs.debian.org/307905 (Fixed by Sean Finney, forwarded by Jan Wagner.)

2010-04-11  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, plugins-scripts/check_disk_smb.pl: check_disk_smb: Allow for
	specifying an IP address Add the "-a, --address option" which allows for specifying the IP
	address of the server to connect to.  If this option is used, the IP
	address will be handed over to smbclient(1)'s "-I" option.
	(Contributed by Sean Finney, forwarded by Jan Wagner.)

2010-04-06  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS: check_http: Add warning about SNI not enabled by default
	anymore

2010-04-05  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/check_http.c: Fix regression in check_http ssl
	checks on some servers The fix is making SNI an option.

2010-03-31  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_snmp.c: check_snmp: Update last patch to copy value
	verbatim Rework last patch, copying the converted portion of the string
	rather than re-converting it. This is safer for
	backwards-compatibility as the value is never modified.

2010-03-30  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/check_snmp.c: check_snmp: Fix regression introduced
	in #1867716 Bug #1867716 fixed what it meant to fix: broken perfdata strings.
	Unfortunately some users relied on half-broken perfdata string where
	at least the first token was OK. This patch do a two-way conversion
	(string to double then back to string) instead and use the
	conversion result for the performance data.  A possible caveat is that the string may change where it normally
	shouldn't but the result should be somewhat similar.

2010-03-27  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/check_ide_smart.c: Fix compilation with
	GCC 2.96 (Konstantin Khomoutov - #2977105)

2010-03-18  Holger Weiss <holger@zedat.fu-berlin.de>

	* NEWS, plugins/check_ntp_peer.c, plugins/t/check_ntp.t: Let
	check_ntp_peer check the number of truechimers Add support for checking the number of usable time sources (i.e.,
	the number of peers which are classified as so-called "truechimers"
	by NTP's intersection algorithm).  The new "-m" and "-n" options
	allow for specifying the according WARNING and CRITICAL thresholds
	(and thereby activating the truechimers check), respectively.

2010-03-16  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS: Typo in NEWS

2010-03-15  Ton Voon <ton.voon@opsera.com>

	* doc/developer-guidelines.sgml: Corrected example

2010-02-26  Ton Voon <ton.voon@opsera.com>

	* NEWS, THANKS.in, plugins/check_http.c: Fix memory leak in
	check_http for large pages (Jimmy Bergman - #2957455)

2009-12-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify, tools/git-post-receive-hook: git-notify: Pipe
	e-mails directly to sendmail(8) Use sendmail(8) instead of mail(1) in order to be able to set the
	"Content-Type" header field on systems where the available mail(1)
	command doesn't allow for setting it.  This makes the "-H" flag (cf.
	commit 71350c5a) unnecessary.

2009-12-06  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify, tools/git-post-receive-hook: Enable CIA's commit
	notifications We now use CIA's service to send commit notifications to IRC.  They
	are currently sent to the #Nagios-Devel channel on Freenode.  See: 	http://cia.vc/stats/project/nagiosplug/ 	http://cia.vc/account/bots/15699/

2009-12-04  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, configure.in: Detect arguments passed via
	--with-ping[6]-command (#2908236)

2009-12-04  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* configure.in: Whitespace fixes

2009-12-02  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_http.c: Fix short help using "warn" for the -f
	option instead of "warning" (onredirect).

2009-11-19  Ton Voon <tonvoon@nagiosplugins.org>

	* tools/sfsnapshot-upload: Updated link to sfsnapshotgit

2009-11-18  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* doc/developer-guidelines.sgml: Update developer guideline
	regarding CVS Commits (mostly for testing my snapshot script, though
	it had to be updated anyway)

2009-11-11  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/sfsnapshotgit: Fix fetching of remote branches

2009-11-11  dermoth <dermoth@nagiosplugins.org>

	* tools/sfsnapshot-upload, tools/sfsnapshotgit: Many fixes to
	snapshot scripts sfsnapshotgit:   - Use fetch/reset instead to pull to avoid merges on forced
	  updates sfsnapshot-upload:   - Fix link deletion walking the entire home dir 	- Allow CLEAN_TIME=0 (no retention) 	- Re-add per-branch links when CLEAN_TIME > 0 	- Add many comments

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-post-receive-hook, tools/git-update-mirror: Git commit
	notifications via post-receive hook Now that we moved our Git repositories to SourceForge, we don't need
	to maintain local clones for generating commit notifications
	anymore, as SourceForge provides shell access to the repositories.
	Instead, we now run git-notify as a post-receive hook on the
	SourceForge server.  Actually, we use a wrapper which executes
	git-notify with the desired options and which makes it easy to add
	other post-receive hooks in the future.

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Support SourceForge repositories The Gitweb URLs for repositories hosted by SourceForge are slightly
	different than other Gitweb URLs.  The correct URL cannot be
	specified via "-u" if we append "/$repos_name.git/?" to that URL as
	we usually do.  If the new "-S" flag is specified or
	"notify.sourceforge" is set, we'll append "/$repos_name;" instead,
	which makes the "-u" option usable for SourceForge repositories.

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Optionally call mail(1) without "-a" Not all mail(1) implementations support specifying additional header
	fields via "-a": with some, this flag is used for attaching files,
	others don't provide an "-a" flag at all (this is true for the
	/bin/mail utility currently installed on the SourceForge servers,
	for example).  We now provide the "-H" flag and the
	"notify.legacyMail" configuration key for these cases.

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Polish up the "tag notifications" Use better labels for the tag ref and the SHA1 name of the tag
	object.

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Distinguish between tag types Distinguish between annotated tags and lightweight tags.  In the
	former case, send an annotated "tag notification", in the latter
	case, send a "ref change notification" (as we did in both cases
	before).

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Fix "global" notifications If the number of commits included with a single push exceeds the
	maximum specified via "-n", a single notification will be generated
	instead of individual e-mails.  For listing the commits within such
	a notification, git-rev-list(1)'s "--pretty" option is used.  This
	yields output which the git_rev_list() subroutine didn't accept.
	That's now fixed.

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Optionally [tag] the subject If the new "-T" option is specified or "notify.emitRepository" is
	set, the subject of e-mail notifications will be prefixed with
	[<tag>], where <tag> is the name of the updated repository.

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Optionally omit the author name If the new "-A" option is specified (or "notify.omitAuthor" is set),
	the author name will be omitted from the subject of e-mail
	notifications.

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Make abbreviating Gitweb URLs
	optional The SHA1 object name part of Gitweb URLs is now only shortened if
	the user requested this by specifying the new "-z" option (or by
	setting "notify.shortURLs").  While at it, also shorten the additional URL which references a diff
	in e-mail notifications which don't include that diff inline because
	its size exceeds the maximum number of bytes specified via "-s".  Note that while the abbreviated SHA1 object names will be unique at
	push time, this cannot be guaranteed for the future, so the
	shortened URLs might break some day.

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Make showing the committer optional Only the author's name and address will now be mentioned in a commit
	notification by default.  However, if the "-C" option is specified
	(or "notify.showCommitter" is set), the committer's name and address
	will also be included in the notification if the committer is not
	the author of the commit (as we previously did by default).

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Make using a state file optional Making use of a state file in order to prevent duplicate
	notifications is now optional.  The user must explicitly specify a
	file path via the "-t" option or by setting the git-config(1)
	variable "notify.statefile" to activate this functionality.

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Don't abort if mail(1) exits
	non-zero As nothing in git-notify depends on the success of the mail(1) call,
	don't abort if it fails, just spit out a warning.

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Drop the $sent_notices variable Now that we don't ignore empty commits anymore, there's no need to
	keep track of the number of commits actually notified about, as that
	will always be equal to the number of commits returned by
	get_new_commits().

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: Revert "git-notify: Ignore `empty' commits" This reverts commit db63fbfa036f5cd757aedf4547fef9e195a8c285, as it
	is no longer needed and we'd like to keep the diff against the
	git-notify version maintained by the Wine people as small as
	possible.  The purpose of db63fbfa was to suppress notifications on
	empty merge commits, which can now be requested directly by
	specifying git-notify's "-X" option.  (Our change was implemented
	before the "-X" option was available, even though the Git history
	suggests otherwise.) Conflicts: 	tools/git-notify

2009-11-07  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: Revert "git-notify: Remove unused [...] code" This reverts commit 5445b9769f254781e482062bacc6603a5cd63059.
	Alexandre Julliard pointed out that the code in question was used if
	git-notify was explicitly called with the SHA1 name of an annotated
	tag object.  At the moment, the code in question actually _is_
	unused due to later modifications, but it wasn't at the time
	5445b976 was committed, and we'll add further changes so that the
	code will be used again in the future.  Conflicts: 	tools/git-notify

2009-11-06  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Minor cosmetic changes Fix the description of the "-U" option.

2009-10-25  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/sfsnapshot-upload: Allow rsyncing to local paths

2009-10-25  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/sfsnapshot-upload: Add snapshots upload scripts

2009-10-26  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Make the state file group writable For shared repositories, the state file used by git-notify should
	usually be group writable, so we now set the umask to 0002 by
	default.  This can be adjusted by setting the "notify.umask"
	configuration key or by using the "-U" option on the command line.

2009-10-26  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Remove an empty subroutine The gitweb_url() subroutine was an unused and empty hangover.

2009-10-25  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-update-mirror: git-update-mirror: Remove a useless
	sed(1) call The sed(1) command in question was a hangover which had no effect
	anymore.

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Check the exit status of pipes Properly check the exit status of all processes we execute and abort
	on error.

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Handle non-UTF-8 commits Make sure that commit messages which use an encoding other than
	US-ASCII or UTF-8 are handled correctly.  Also, assume that the diff
	contents use the same encoding as the commit message.  This
	assumption may well be wrong, but that's the best we can do.

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Don't generate duplicate
	notifications Never notify on a given commit more than once, even if it's
	referenced via multiple branch heads.  We make sure this won't
	happen simply by maintaining a list of commits we notified about.
	The file path used for saving this list can be specified using the
	new "-t" option.  (The contrib/hooks/post-receive-email script
	distributed with Git tries hard to avoid such a list, but it doesn't
	get the necessary magic right.)

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-nofity: Try to shorten Gitweb URLs Instead of using the full SHA1 values of commit object names within
	Gitweb URLs, try to abbreviate them to a shorter unique name.

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Move the Gitweb URL to the bottom In commit notifications, specify the Gitweb URL (if any) at the
	bottom of the ASCII "table" which summarizes the commit.  That looks
	better.

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Truncate summary after 50 characters If the first line of a commit message is longer than 50 characters,
	truncate it before adding the resulting string to the subject line
	of a notification.  This makes sure the subject line won't get too
	long (unless the commit author name is unusually long, which we
	don't check).  The Git User's Manual recommends keeping the first
	line of a commit message shorter than that, anyway: | Though not required, it's a good idea to begin the commit message
	with | a single short (less than 50 character) line summarizing the
	change, | followed by a blank line and then a more thorough
	description.  Tools | that turn commits into email, for example, use
	the first line on the | Subject line and the rest of the commit in
	the body.  [ http://www.kernel.org/pub/software/scm/git/docs/user-manual.html ]

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Send notifications on ref changes,
	too Do not only generate notifications on commits, but also if a branch
	head or lightweight tag was created, removed, or modified.
	Notifications on branch head updates are omitted if one or more
	commit notification have been generated and the branch head now
	references a descendant of the originally referenced commit (which
	should be the usual case).

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Call git-rev-list(1) via a
	subroutine Add a subroutine which abstracts away executing git-rev-list(1) and
	checking the result in order to avoid code duplication.

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Mention the committer where
	applicable If the committer is not the author of the commit, mention the
	committer in addition to the author.

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: New subroutine for column alignment Most notifications include an ASCII "table" with two columns.  The
	formatting of these columns is now handled by the new format_table()
	subroutine, so that the alignment can easily be changed in the
	future.

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Ignore "empty" commits Omit notifications regarding commits which don't change the tree
	whatsoever.

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Remove unused tag notification code The code which handles notifications regarding tags was unused, as
	only objects listed by git-rev-list(1) are considered, and
	git-rev-list(1) never spits out the sha1 of a tag object.

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify: git-notify: Save author without trailing space Adjust the regular expression which catches the commit author name
	so that it doesn't include the space character which follows that
	name.

2009-10-24  Holger Weiss <holger@zedat.fu-berlin.de>

	* tools/git-notify, tools/git-update-mirror: Import
	git-update-mirror and git-notify Import the (self-written) git-update-mirror script, which updates
	clones of Git repositories and then calls git-notify (in just the
	same way as a post-receive hook would be called by Git).  The
	git-notify script is imported from
	git://source.winehq.org/git/tools.git (commit: 03d66f34) and
	generates notifications on repository changes.  We'll use these
	scripts for generating our commit e-mails.

2009-10-22  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/check_snmp.c, plugins/t/check_snmp.t: Fix usage of
	repeated -o options in check_snmp

2009-10-15  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins-root/check_icmp.c: Set proper network byte order for
	icmp_id and icmp_seq in icmp packets

2009-10-14  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins-root/check_icmp.c: Increment per-host sequence in
	check_icmp

2009-09-26  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/sfsnapshotgit: Change default for SFSNAP_DEST

2009-09-26  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/sfsnapshotgit: Correcting name and email address

2009-09-26  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/sfsnapshotgit: Enhancements to tools/sfsnapshotgit

2009-09-25  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* configure.in: Using $srcdir is the proper way to go

2009-09-25  nagiosplugins <nagiosplugins@nagiosplugins.org>

	* tools/sfsnapshotgit: Add sfsnapshotgit

2009-09-25  nagiosplugins <nagiosplugins@nagiosplugins.org>

	* configure.in, plugins-root/Makefile.am,
	plugins-scripts/Makefile.am, plugins/Makefile.am: Allow custom
	versions with the release file...

2009-09-24  Ton Voon <ton.voon@opsera.com>

	* NEWS, doc/developer-guidelines.sgml: Updated documentation re: no
	equals sign and single quote

2009-09-24  Ton Voon <ton.voon@opsera.com>

	* NEWS: Updated NEWS file with docs changes

2009-09-23  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS: Test, again

2009-09-23  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS: Test

2009-09-21  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in: Oops - wrong author/bug in last commit!

2009-09-21  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/check_http.c: Add proxy-authorization
	option to check_http (Peter Doherty - #2863772, Bryan Irvine -
	#2863925)

2009-09-19  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins-scripts/check_ircd.pl: Fix check_ircd binding to
	wrong interface (#668778)

2009-09-19  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* doc/RELEASING: Update RELEASING document with proper tag creation
	and push commands

2009-09-16  Ton Voon <ton.voon@opsera.com>

	* BUGS, ChangeLog, NEWS, NP-VERSION-GEN, configure.in, package.def: 
	Prep for 1.4.14 release

2009-09-14  Ton Voon <ton.voon@opsera.com>

	* plugins-root/pst3.c: Ensure dirhandle is closed (Duncan Ferguson)

2009-09-11  Ton Voon <ton.voon@opsera.com>

	* plugins/t/check_snmp.t: Fix skip number

2009-09-05  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/tests/check_snmp.t: Add a test that succeeds on check_snmp
	v1.4.13. Newer versions skip additional lines so this new test fails
	on the current head.  Note: check_snmp v1.4.13 with multi-line strings return somewhat v3
	      output; it's not exactly what the specs say but it doesn't appears
	      to break them either. The fix could eventually supports both v2 and
	v3 output formats.

2009-08-05  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_snmp.c: Fix segfault in check_snmp (definitive fix
	is still in the works - see bug #2832451)

2009-07-31  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_snmp.c: Fix check_snmp passing single-quotes as -m
	argument when it should be empty

2009-07-31  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_snmp.c, plugins/t/check_snmp.t: check_snmp: Add some
	verbose output and tests

2009-07-31  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/tests/check_snmp.t, plugins/tests/check_snmp_agent.pl,
	plugins/tests/conf/snmpd.conf: Add tests using custom snmp agent Only multi-line string test for now (regression test), counter
	rollover tests planed with my snmp_counters_new branch.  NB: 64bit counters are broken in NetSNMP::agent from NetSNMP version
	    5.4.1 and lower, but might come in handy one day

2009-07-31  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/t/check_snmp.t: Fix check_snmp Timetick test with <1 day
	uptime

2009-07-23  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* doc/RELEASING: Add accidentally removed line plus a note about the
	web copy

2009-07-23  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* doc/RELEASING: Merge changes from web

2009-07-17  Ton Voon <ton.voon@opsera.com>

	* doc/developer-guidelines.sgml: Updated links for
	exchange.nagios.org

2009-07-14  Ton Voon <ton.voon@opsera.com>

	* NEWS, THANKS.in, plugins-root/pst3.c: pst3 compile with Sun Studio
	Compiler

2009-06-22  Ton Voon <ton.voon@opsera.com>

	* plugins/check_cluster.c: Added example for check_cluster to alert
	if more than X non-OK states

2009-06-16  Matthias Eble <psychotrahe@gmx.de>

	* NPTest.pm: Switch back to "use Test" and plain prints instead of
	diag()

2009-06-16  Matthias Eble <psychotrahe@gmx.de>

	* NPTest.pm: Tinderbox output testing commit

2009-06-15  Matthias Eble <psychotrahe@gmx.de>

	* NPTest.pm, test.pl.in: Make output of "make test" more verbose This is intended to make error fixing based on tinderbox output
	easier.

2009-06-14  Matthias Eble <psychotrahe@gmx.de>

	* plugins-root/check_icmp.c: Fixed error in rtt/rta calculation in
	case of system clock problems Time differences are now set to 0 in case of backward timejumps so
	there are no wrap-around problems any more.  The RTA calculation
	hopefully gets a more accurate value in these cases also.

2009-06-13  Matthias Eble <psychotrahe@gmx.de>

	* plugins-scripts/t/check_ifoperstatus.t,
	plugins-scripts/t/check_ifstatus.t, plugins/t/check_snmp.t: Fixed
	testcases for check_snmp, check_ifstatus and check_ifoperstatus when
	no snmp community is specified The checks for invalid/unavailable hosts need a complete command
	line.  They failed on hosts where no community was specified. Now,
	an invalid community is used so the tests can run on hosts w/o snmp
	host/community in NPTest.cache. Execution will fail anyway.

2009-06-13  Matthias Eble <psychotrahe@gmx.de>

	* plugins-scripts/t/check_ifoperstatus.t,
	plugins-scripts/t/check_ifstatus.t: Further test parameters and skip
	blocks for check_ifoperstatus.t. getTestparam changes for
	check_ifstatus.t and ifoperstatus.t Added snmp_interface and snmp_ifxtable test parameters to
	check_ifoperstatus.t.  Also getTestParameter calls for both plugins
	were converted to use three arguments instead of undocumented >3 arg
	behaviour which led to redundant data in NPTest.cache.

2009-06-11  Matthias Eble <psychotrahe@gmx.de>

	* : commit c66d2c6b3b6d948ff36126f5d3a7629279f47878 Author: Matthias
	Eble <psychotrahe@gmx.de> Date:   Thu Jun 11 17:24:52 2009 +0200

2009-06-11  Matthias Eble <psychotrahe@gmx.de>

	* NEWS, plugins-scripts/check_ifstatus.pl,
	plugins-scripts/t/check_ifstatus.t: Fixed SNMPv3 behaviour of
	check_ifstatus. Added -P to define privprotocol (#2343438 - Robin
	Schroeder) check_ifstatus didn't function correctly with SNMPv3. This is fixed
	now.  Created argument-hash for SNMP session creation. This removes
	redundant code.  Session creation was moved out of
	process_arguments() and now takes place after setting the timeout
	handler.  Additionally the -P argument was added to specify the privprotocol.

2009-06-11  Matthias Eble <psychotrahe@gmx.de>

	* plugins-scripts/t/check_ifoperstatus.t: Added testcases for
	check_ifoperstatus Added testcases for check_ifoperstatus. No SNMPv3 testing included
	for now.

2009-06-11  Matthias Eble <psychotrahe@gmx.de>

	* plugins-scripts/check_ifoperstatus.pl: minor fixes to
	check_ifoperstatus Minor output fixes for check_ifoperstatus.  Fixed typo so that -n
	now implies -I as documented.

2009-06-10  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/extra_opts.h, lib/tests/test_opts1.c, lib/tests/test_opts2.c: 
	Use a more "natural" way of writing argument lists in extra-opts
	tests.

2009-06-11  Matthias Eble <psychotrahe@gmx.de>

	* NEWS, plugins-scripts/check_ifoperstatus.pl: check_ifoperstatus is
	now more user friendly in case of missing arguments Added proper usage messages in case of missing arguments.  Removed
	accidently committed Data::Dumper call.  Minor whitespace fixes.

2009-06-11  Matthias Eble <psychotrahe@gmx.de>

	* plugins-scripts/check_ifoperstatus.pl: Whitespace and indent fixes
	for check_ifoperstatus

2009-06-11  Matthias Eble <psychotrahe@gmx.de>

	* NEWS, plugins-scripts/check_ifoperstatus.pl: Fixed SNMPv3
	behaviour of check_ifoperstatus. Added -x to define privprotocol
	(#2343438 - Robin Schroeder) check_ifoperstatus didn't function correctly with SNMPv3. This is
	fixed now.  Created argument-hash for SNMP session creation. This
	removes redundant code.  Session creation was moved out of
	process_arguments() and now takes place after setting the timeout
	handler.  Additionally the -x argument was added to specify the privprotocol.

2009-06-02  Holger Weiss <holger@zedat.fu-berlin.de>

	* THANKS.in, lib/utils_base.c: Fix the memory allocation for the
	thresholds data Allocate the appropriate amount of memory for storing the thresholds
	data.  Before, we allocated the amount of memory required for
	storing a _pointer_ to the thresholds data.  This crashed (at least)
	check_mysql when using its "-S" option on FreeBSD/amd64 (as reported
	and analyzed by Nikita Kalabukhov - 2797757).  Signed-off-by: Holger Weiss <holger@zedat.fu-berlin.de>

2009-06-02  Holger Weiss <holger@zedat.fu-berlin.de>

	* plugins-root/check_icmp.c: Don't use the plain char type for data
	buffers Buffers which are used for holding arbitrary data should be
	referenced using pointers to void and accessed using pointers to
	unsigned char.  Signed-off-by: Holger Weiss <holger@zedat.fu-berlin.de>

2009-06-01  Matthias Eble <psychotrahe@gmx.de>

	* plugins/check_pgsql.c: Whitespace indent fixes for check_pgsql

2009-06-01  Matthias Eble <psychotrahe@gmx.de>

	* plugins-root/check_icmp.c: Fixed check_icmp compiler warnings by
	including float.h Self defined DBL_MAX caused compiler warnings. Now float.h which
	defines DBL_MAX is included.

2009-06-01  Matthias Eble <psychotrahe@gmx.de>

	* plugins-root/check_icmp.c: Fixed --help output for warn and
	critical thresholds (sf.net #2796624, debian #530553) check_icmp wrongly calculated the current thresholds in --help
	output.

2009-06-01  Matthias Eble <psychotrahe@gmx.de>

	* plugins/check_pgsql.c: Added verbose output to check_pgsql
	(#2799281 - Jun Kuriyama) check_pgsql displayed the -v flag in help output, but didn't accept
	the verbosity argument. Added -v and basic verbose output.

2009-06-01  Matthias Eble <psychotrahe@gmx.de>

	* NEWS, plugins/check_fping.c: check_fping now supports passing
	target timeout and interval to fping (#2347686 - Martin Foster) Added support for passing timeout and interval length to
	check_fping.  To protect compatibility, both options use fping's
	defaults if they are not specified on the command line.

2009-05-27  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, lib/utils_base.h, plugins/check_snmp.c,
	plugins/t/check_snmp.t: check_snmp: Make use of standard threshold
	functions 	This patch makes use of standard threshold functions. This allows
		using doubles as thresholds.  	Since SNMP supports only integers, double precision numbers are
		only printed when parsed from a STRING type.  	In addition, support for printing properly Timeticks type has been
		added, and the code has been thoroughly cleaned.

2009-05-27  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_snmp.c: Fix whitespaces in check_snmp

2009-05-26  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/Makefile.am, plugins/check_by_ssh.c: Fix
	check_by_ssh interpretation of quotes in -C parameter (#1985246,
	#2268675)

2009-05-22  Matthias Eble <psychotrahe@gmx.de>

	* NEWS, plugins/check_mrtgtraf.c: Fixed wrong perfdata label for
	output traffic in check_mrtgtraf check_mrtgtraf used the label "in" for both input and output
	traffic.  This fixed, now.

2009-05-22  Matthias Eble <psychotrahe@gmx.de>

	* plugins/check_smtp.c: Removed -n option in check_smtp's help and
	usage output (#2782784) Check_smtp's help showed the -n/--nocommand options to not send an
	SMTP command. This usage is covered by check_tcp and is thus not
	needed in check_smtp.

2009-05-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/sslutils.c: Whitespace changes only

2009-05-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/check_http.c, plugins/netutils.h,
	plugins/sslutils.c: check_http: Add SSL/TLS hostname extension
	support (SNI) - (#1939022 - Joe Presbrey)

2009-05-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins-scripts/subst.in: Fix awk subst.in/subst
	script path error (#2722832 - Martin Foster)

2009-05-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/check_mysql.c,
	plugins/check_mysql_query.c: Fix check_mysql* not using password set
	in my.cnf (#2531905 - Ben Timby)

2009-05-20  Holger Weiss <holger@zedat.fu-berlin.de>

	* gl/Makefile.am, gl/alignof.h, gl/arpa_inet.in.h, gl/c-strtod.c,
	gl/c-strtod.h, gl/config.charset, gl/dup-safer.c, gl/fd-safer.c,
	gl/fsusage.c, gl/gai_strerror.c, gl/getloadavg.c, gl/getopt1.c,
	gl/gettext.h, gl/localcharset.c, gl/m4/00gnulib.m4, gl/m4/btowc.m4,
	gl/m4/c-strtod.m4, gl/m4/errno_h.m4, gl/m4/extensions.m4,
	gl/m4/fcntl_h.m4, gl/m4/floorf.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/include_next.m4, gl/m4/inet_ntop.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/locale-fr.m4,
	gl/m4/locale-ja.m4, gl/m4/locale-zh.m4, gl/m4/mbrtowc.m4,
	gl/m4/mktime.m4, gl/m4/multiarch.m4, gl/m4/printf.m4,
	gl/m4/regex.m4, gl/m4/stdint.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/strdup.m4, gl/m4/sys_socket_h.m4,
	gl/m4/unistd_h.m4, gl/m4/vasnprintf.m4, gl/m4/wchar.m4,
	gl/m4/wcrtomb.m4, gl/math.in.h, gl/mbrtowc.c, gl/mountlist.c,
	gl/regex_internal.h, gl/stdint.in.h, gl/stdio.in.h, gl/stdlib.in.h,
	gl/strdup.c, gl/strerror.c, gl/sys_socket.in.h, gl/unistd.in.h,
	gl/vasnprintf.c, gl/wchar.in.h, gl/xmalloc.c: Sync with the latest
	Gnulib code (cb75dc5) Signed-off-by: Holger Weiss <holger@zedat.fu-berlin.de>

2009-05-19  Chris Pepper <pepper@reppep.com>

	* plugins/check_ups.c, plugins/urlize.c: Fix a few minor typos Signed-off-by: Holger Weiss <holger@zedat.fu-berlin.de>

2009-05-19  Holger Weiss <holger@zedat.fu-berlin.de>

	* doc/developer-guidelines.sgml: Talk about Git instead of CVS Update the Developer Guidelines to reflect the fact that our
	development is done using Git instead of CVS these days (as noted by
	Chris Pepper on the "nagiosplug-devel" list).  While at it, apply another few minor cleanups.  Signed-off-by: Holger Weiss <holger@zedat.fu-berlin.de>

2009-05-19  Holger Weiss <holger@zedat.fu-berlin.de>

	* doc/developer-guidelines.sgml: Remove comments regarding former
	requirements Don't explain why Libtool and Gettext are no longer needed.  Libtool
	actually is a requirement, as (at least) the M4 macros provided by
	Libtool are needed for our Autotools setup.  And the fact that
	Gettext is no longer needed probably isn't that interesting for new
	developers.  Signed-off-by: Holger Weiss <holger@zedat.fu-berlin.de>

2009-05-07  Ton Voon <tonvoon@macbook-2.local>

	* NEWS, THANKS.in, plugins/check_disk.c: Fixed typo in check_disk

2009-05-01  Matthias Eble <psychotrahe@gmx.de>

	* NEWS, plugins/check_nt.c, plugins/tests/check_nt.t: Fixed crash
	from check_nt when -H unspecified or given multiple times (sf.net
	#2731755, debian #521097)

2009-03-24  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/check_nt.c: check_nt: allow returning UNKNOWN on
	timeouts (-u)

2009-03-24  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/netutils.c, plugins/netutils.h: Make socket alarm handler
	customisable (like c459ca07)

2009-03-24  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/check_mysql.c: check_mysql: Fix segfault
	with old slaves (#2696823 - Oskar Ahner)

2009-03-24  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_nt.c: Whitespace and intend cleanup

2009-03-21  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_http.c: Update check_http short help with new stycky
	and stickyport options.

2009-03-21  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_http.c: check_http: die when an invalid --onredirect
	option is specified

2009-03-21  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/check_http.c, plugins/tests/check_http.t: 
	check_http: add --onredirect=stickyport - also follow the same port

2009-03-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* .gitignore, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/mktime.m4, gl/m4/time_h.m4,
	gl/m4/time_r.m4, gl/m4/timegm.m4, gl/mktime.c, gl/time.in.h,
	gl/time_r.c, gl/timegm.c: Add the timegm Gnulib module

2009-03-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/negate.c, plugins/t/negate.t: negate: make timeouts
	configurable

2009-03-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/utils.c, plugins/utils.h: Make alarm handler customisable

2009-03-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/negate.c: negate: Fix not printing the real timeout
	in ALRM handler when timeout is left to default

2009-03-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/tests/check_http.t: tests/check_http.t: Add various
	timeout-related tests

2009-03-19  Thomas Guyot-Sionnest thomas@aei.ca <root@sinnms01.180solutions.com>

	* NEWS, plugins/check_http.c: Fixed check_http not timing-out on
	redirects

2009-03-18  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/sslutils.c, plugins/tests/check_http.t: Revert "Add
	timezone support and fix checks around cert expiration" (keep the
	expiration fix) This reverts commit d41a33a434558189300113c28b26e2d3d681d390.

2009-03-18  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/t/check_snmp.t: Add suggested multi-oid test (John A.
	Barbuto)

2009-03-18  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_snmp.c: check_snmp: Fix potential buffer overflow -
	enforce MAX_OIDS limit (John A. Barbuto)

2009-03-18  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/tinderbox_build: Fix logging of STDERR in tinderbox tests
	phase

2009-03-17  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/sslutils.c, plugins/tests/check_http.t: Add timezone
	support and fix checks around cert expiration

2009-03-17  Thomas Guyot-Sionnest <dermoth@solaris.beaubien.net>

	* plugins/t/check_procs.t: Check for existence of pre-instaleld pst3
	for Solaris tests in t/check_procs.t

2009-03-17  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/check_http.c: Fix check_http sending HTTP/1.0 with
	v1.1 headers (#2638765)

2009-03-16  Thomas Guyot-Sionnest <dermoth@solaris.beaubien.net>

	* plugins/t/check_snmp.t: Fix check_snmp test on solaris

2009-03-16  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/tests/check_http.t: Update extended check_http tests for
	0d78171...  Also add some tests, and make debug mode loop
	infinitely.

2009-03-16  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_http.c: check_http fixes: - Fix broken printf on 500 errors - Add bytes to normal output (accidentally removed in 0d78171)

2009-03-16  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_snmp.c, plugins/t/check_snmp.t: check_snmp fixes: - Fix broken compilation caused by typo in command ending - Remove extra whitespaces at EOL - Fix invalid host test on Ubuntu Hardy (and possibly others)

2009-03-14  Ton Voon <tonvoon@macbook.local>

	* plugins/check_snmp.c: Ignore stderr messages unless return code is
	non-zero or there is no output

2009-03-14  Ton Voon <tonvoon@macbook.local>

	* NEWS, THANKS.in, plugins/Makefile.am, plugins/check_snmp.c,
	plugins/t/check_snmp.t: Fixed passing of quotes in OID for
	check_snmp (#1985230 - Jan Wagner, patch by John Barbuto)

2009-03-06  Ton Voon <tonvoon@macbook.local>

	* plugins/tests/certs/expired-cert.pem,
	plugins/tests/certs/expired-key.pem, plugins/tests/check_http.t: 
	Create expired cert for testing purposes. Updated tests to check
	expired and unexpired certificates

2009-03-05  Ton Voon <tonvoon@macbook.local>

	* : commit 8580335779b44f23a97b5534c90262b9658a37d7 Author: Ton Voon
	<tonvoon@macbook.local> Date:   Thu Mar 5 23:37:45 2009 +0000

2009-02-24  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/check_snmp.c: check_snmp long help
	missing retries entry (#2608223) Fix for check_snmp long help, reported by Richard Edward Horner

2009-02-20  Ton Voon <tonvoon@macbook.local>

	* po/fr.po: Updated string ids, due to typo fixes

2009-02-20  Ton Voon <tonvoon@macbook.local>

	* plugins-scripts/check_mailq.pl, plugins/check_dns.c,
	plugins/check_http.c, plugins/check_ldap.c, plugins/check_mysql.c,
	plugins/check_procs.c, plugins/check_radius.c,
	plugins/check_snmp.c, plugins/check_tcp.c, plugins/check_ups.c: Typo
	fixes (Jan Wagner - SF 1878971)

2009-02-19  Ton Voon <tonvoon@macbook.local>

	* NEWS, THANKS.in, plugins/check_nt.c, plugins/tests/check_nt.t: 
	Fixed coredump from check_nt when drive not found (Olli Hauer - SF
	2179754)

2009-02-06  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* doc/RELEASING: Devel doc: NP-VERSION-GEN needs to be updated as
	well

2009-02-06  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS: Small correction in NEWS entry

2009-02-06  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* doc/LEAVERS, doc/NEW_STARTERS, doc/RELEASING: Update the devel
	notes for Git

2009-02-06  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* doc/LEAVERS, doc/NEW_STARTERS, doc/RELEASING: Revert "Moving
	project administration documents to nagiosplugins.org site" This reverts commit f4a52594818e7c3634a397ac1f86ef87a68bd121.

2009-02-05  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, plugins/check_http.c: check_http --onredirect=sticky follows
	using the same IP address (sf.net #2550208).

2009-02-03  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS: Add NEWS entry for last commit

2009-02-03  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/check_http.c: Fix aberrant behaviours in check_http: check_http used to ignore many parameters with check combinations -
	sometimes even time thresholds(!!) With this commit as long as a response is received *all* checks are
	performed on it.  This fixes #1460312 plus a number of other issues I discovered over
	time.

2009-01-26  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/tests/test_utils.c, lib/utils_base.c, lib/utils_base.h,
	plugins/check_ntp_peer.c: Make extract_value more generic: Add a separator argument passed using defines.

2009-01-24  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/tests/test_ini1.c, lib/tests/test_opts1.c: Remove the
	commented out blocks The die tests are implemented in the test_*3.t files

2009-01-24  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/tests/test_ini1.t, lib/tests/test_ini3.t: Fix paths in
	test_ini tests

2009-01-23  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* .gitignore, configure.in, lib/tests/Makefile.am,
	lib/tests/test_ini.c, lib/tests/test_ini.t, lib/tests/test_ini1.c,
	lib/tests/test_ini1.t, lib/tests/test_ini3.c,
	lib/tests/test_ini3.t, lib/tests/test_opts3.t: Add die tests for
	parse_ini

2009-01-22  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/parse_ini.c, lib/tests/test_opts3.t: Return UNKNOWN if none of
	the default files can be found.  It makes no sense to return unknown if an implicit section is not
	found, but go on if the file is missing

2009-01-21  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* .gitignore, configure.in, lib/tests/Makefile.am,
	lib/tests/test_opts1.c, lib/tests/test_opts2.c,
	lib/tests/test_opts3.c, lib/tests/test_opts3.t: Add die tests for
	extra-opts

2009-01-19  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/tests/test_utils.c, lib/utils_base.c, lib/utils_base.h,
	plugins/check_ntp_peer.c: Move check_ntp's extract_value to
	utils_base.c.  This function can also be used to parse performance data strings
	which could be useful in the future.

2009-01-21  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* .gitignore: Accidentally included built executables - also updated
	.gitignore

2009-01-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* configure.in, lib/tests/Makefile.am, lib/tests/test_opts.c,
	lib/tests/test_opts.t, lib/tests/test_opts1.c,
	lib/tests/test_opts1.t, lib/tests/test_opts2.c,
	lib/tests/test_opts2.t: Some platform are missing setenv Instead of adding the gnulib module for solving tests only I split
	the test in two, setting environment from Perl for the later.

2009-01-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/tests/Makefile.am: Fix (or try at least) for IRIX compile to
	tap tests Gnulib says: "$(LTLIBINTL) when linking with libtool, $(LIBINTL)
	otherwise" Everywhere else we use LTLIBINTL so I assume the tests
	should use it as well.

2009-01-20  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins/t/check_users.t: Trick for check_users test without users
	logged-in

2009-01-19  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/tinderbox_build: Build extra-opts in tinderbox so they can
	be tested

2009-01-18  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/tests/Makefile.am: Re-apply "Cleanup; fix the way libraries
	are linked; Make-It-Simple(tm)" This reverts commit 7449b16b1781c645751e2c05b93893e93630fb2a.

2009-01-18  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* gl/wchar.in.h: Trying out new patch for IRIX 6.5 from Bruno Haible See: http://article.gmane.org/gmane.comp.lib.gnulib.bugs/16341

2009-01-18  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* gl/wchar.in.h: Revert "Trying out a patch for IRIX 11" This reverts commit d190c5d25865a7414eea4fe6409a94842fba220e.

2009-01-16  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* gl/wchar.in.h: Trying out a patch for IRIX 11 See:
	http://lists.gnu.org/archive/html/bug-gnulib/2009-01/msg00098.html

2009-01-15  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* configure.in: Removing AC_FUNC_ALLOCA from configure.in (added in
	the gnulib sync commit) I added AC_FUNC_ALLOCA because of a mistake on my part (which has
	been fixed before the final commit). Removing it now.

2009-01-15  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/tests/test_disk.c: Typo

2009-01-15  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* .gitignore, build-aux/config.rpath, configure.in, gl/Makefile.am,
	gl/alloca.in.h, gl/arpa_inet.in.h, gl/base64.c, gl/base64.h,
	gl/btowc.c, gl/config.charset, gl/errno.in.h, gl/fcntl.in.h,
	gl/float.in.h, gl/gai_strerror.c, gl/getaddrinfo.c,
	gl/getaddrinfo.h, gl/gethostname.c, gl/getloadavg.c, gl/getopt.c,
	gl/inet_ntop.c, gl/inet_ntop.h, gl/localcharset.c,
	gl/m4/absolute-header.m4, gl/m4/alloca.m4, gl/m4/arpa_inet_h.m4,
	gl/m4/btowc.m4, gl/m4/c-strtod.m4, gl/m4/codeset.m4,
	gl/m4/double-slash-root.m4, gl/m4/eoverflow.m4, gl/m4/errno_h.m4,
	gl/m4/extensions.m4, gl/m4/fcntl_h.m4, gl/m4/fsusage.m4,
	gl/m4/getaddrinfo.m4, gl/m4/gethostname.m4, gl/m4/getloadavg.m4,
	gl/m4/getopt.m4, gl/m4/gettext.m4, gl/m4/glibc2.m4,
	gl/m4/glibc21.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4, gl/m4/hostent.m4,
	gl/m4/iconv.m4, gl/m4/include_next.m4, gl/m4/inet_ntop.m4,
	gl/m4/inline.m4, gl/m4/intdiv0.m4, gl/m4/intldir.m4,
	gl/m4/intlmacosx.m4, gl/m4/intmax.m4, gl/m4/intmax_t.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes_h.m4, gl/m4/lcmessage.m4,
	gl/m4/lib-ld.m4, gl/m4/lib-link.m4, gl/m4/lib-prefix.m4,
	gl/m4/localcharset.m4, gl/m4/locale-fr.m4, gl/m4/locale-ja.m4,
	gl/m4/locale-zh.m4, gl/m4/lock.m4, gl/m4/longlong.m4,
	gl/m4/ls-mntd-fs.m4, gl/m4/malloc.m4, gl/m4/math_h.m4,
	gl/m4/mbrtowc.m4, gl/m4/mbsinit.m4, gl/m4/mbstate_t.m4,
	gl/m4/mountlist.m4, gl/m4/multiarch.m4, gl/m4/netdb_h.m4,
	gl/m4/netinet_in_h.m4, gl/m4/nls.m4, gl/m4/onceonly.m4,
	gl/m4/onceonly_2_57.m4, gl/m4/open.m4, gl/m4/po.m4,
	gl/m4/printf-posix.m4, gl/m4/printf.m4, gl/m4/progtest.m4,
	gl/m4/regex.m4, gl/m4/servent.m4, gl/m4/size_max.m4,
	gl/m4/snprintf.m4, gl/m4/sockpfaf.m4, gl/m4/stdbool.m4,
	gl/m4/stdint.m4, gl/m4/stdint_h.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/strdup.m4, gl/m4/strerror.m4,
	gl/m4/string_h.m4, gl/m4/strndup.m4, gl/m4/strnlen.m4,
	gl/m4/sys_socket_h.m4, gl/m4/threadlib.m4, gl/m4/uintmax_t.m4,
	gl/m4/unistd_h.m4, gl/m4/vasnprintf.m4, gl/m4/visibility.m4,
	gl/m4/vsnprintf.m4, gl/m4/wchar.m4, gl/m4/wchar_t.m4,
	gl/m4/wcrtomb.m4, gl/m4/wctype.m4, gl/m4/wint_t.m4, gl/m4/write.m4,
	gl/m4/xsize.m4, gl/math.in.h, gl/mbrtowc.c, gl/mbsinit.c,
	gl/netdb.in.h, gl/netinet_in.in.h, gl/open-safer.c, gl/open.c,
	gl/regcomp.c, gl/regex_internal.c, gl/regex_internal.h,
	gl/regexec.c, gl/snprintf.c, gl/stdbool.in.h, gl/stdint.in.h,
	gl/stdio-write.c, gl/stdio.in.h, gl/stdlib.in.h, gl/strdup.c,
	gl/streq.h, gl/strerror.c, gl/string.in.h, gl/sys_socket.in.h,
	gl/unistd.in.h, gl/vasnprintf.c, gl/vasprintf.c, gl/verify.h,
	gl/vsnprintf.c, gl/wchar.in.h, gl/wcrtomb.c, gl/wctype.in.h,
	gl/write.c, gl/xalloc.h, gl/xmalloc.c, gl/xsize.h,
	plugins/Makefile.am, plugins/netutils.h: Sync with gnulib

2009-01-15  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tap/tap.h: Clean up last commit - remove the __STDC_VERSION__
	check in tap.h HP-UX refuses to compile tap with the check for __STDC_VERSION__ >=
	199901L even though it can.

2009-01-14  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tap/tap.h: Trying to see if HP-UX will compile without the
	__STDC_VERSION__ check in tap.h

2009-01-13  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/Makefile.am: Make /lib before /lib/tests to satisfy
	dependencies (building tests fails on IRIX)

2009-01-09  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/tests/test_utils.c: Fix test from last commit

2009-01-09  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/tests/test_utils.c: basename check in test_utils.c was
	accidentaly added again.  In 538b97c I reverted a serie of libtap patch by Ton Voon; it
	included the removal of the useless basename check.  Relevant portion of the changelog from which it was removed
	(f31cd40):   Removed basename test as we should use base_name from GNUlib which
		is tested separately

2009-01-09  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/Makefile.am, lib/tests/Makefile.am: Revert "Cleanup; fix the
	way libraries are linked; Make-It-Simple(tm)" Trying to see if this has any relation to the tinderbox failure. I
	doubt it and will revert back as soon as it's tested.  This reverts commit a97e5fbda21a05574b0e3c5a5118402ebfbbd13c.

2009-01-08  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/tests/test_utils.c: Try to make IRIX happy (this fixes a
	similar warning in Solaris)

2009-01-07  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* lib/Makefile.am, lib/tests/Makefile.am: Cleanup; fix the way
	libraries are linked; Make-It-Simple(tm)  lib/Makefile.am       |    2 +-  lib/tests/Makefile.am |   37 ++++---------------------------------  2 files changed, 5 insertions(+), 34 deletions(-)

2009-01-06  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/git2svn.pl: git2svn: Use --add-author-from with "git
	set-tree"

2009-01-06  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/tinderbox_build: tinderbox_build: Add --enable-libtap
	configure option

2009-01-06  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/tinderbox_build: tinderbox_build: Clarify comment

2008-12-23  Ton Voon <tonvoon@macbook.local>

	* plugins/check_snmp.c: Allow privproto to be passed through
	check_snmp to snmpget. Defaults to DES for compatibility

2008-12-03  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/check_mrtg.c: check_mrtg: fix plugin
	returning UNKNOWN instead of OK (bug #2378068)

2008-12-02  Ton Voon <tonvoon@macbook.local>

	* tools/sfsnapshot: Updated to latest due to SF policy changes

2008-11-28  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* .gitignore, Makefile.am, NEWS, configure.in,
	lib/tests/Makefile.am, tap/Makefile.am, tap/README, tap/tap.3,
	tap/tap.c, tap/tap.h, tap/tests/Makefile.am, tap/tests/README,
	tap/tests/diag/Makefile.am, tap/tests/diag/test.c,
	tap/tests/diag/test.pl, tap/tests/diag/test.t,
	tap/tests/fail/Makefile.am, tap/tests/fail/test.c,
	tap/tests/fail/test.pl, tap/tests/fail/test.t,
	tap/tests/ok/Makefile.am, tap/tests/ok/ok-hash/Makefile.am,
	tap/tests/ok/ok-hash/test.c, tap/tests/ok/ok-hash/test.pl,
	tap/tests/ok/ok-hash/test.t, tap/tests/ok/ok-numeric/Makefile.am,
	tap/tests/ok/ok-numeric/test.c, tap/tests/ok/ok-numeric/test.pl,
	tap/tests/ok/ok-numeric/test.t, tap/tests/ok/ok/Makefile.am,
	tap/tests/ok/ok/test.c, tap/tests/ok/ok/test.pl,
	tap/tests/ok/ok/test.t, tap/tests/pass/Makefile.am,
	tap/tests/pass/test.c, tap/tests/pass/test.pl,
	tap/tests/pass/test.t, tap/tests/plan/Makefile.am,
	tap/tests/plan/no-tests/Makefile.am,
	tap/tests/plan/no-tests/test.c, tap/tests/plan/no-tests/test.pl,
	tap/tests/plan/no-tests/test.t, tap/tests/plan/no_plan/Makefile.am,
	tap/tests/plan/no_plan/test.c, tap/tests/plan/no_plan/test.pl,
	tap/tests/plan/no_plan/test.t,
	tap/tests/plan/not-enough-tests/Makefile.am,
	tap/tests/plan/not-enough-tests/test.c,
	tap/tests/plan/not-enough-tests/test.pl,
	tap/tests/plan/not-enough-tests/test.t,
	tap/tests/plan/sane/Makefile.am, tap/tests/plan/sane/test.c,
	tap/tests/plan/sane/test.pl, tap/tests/plan/sane/test.t,
	tap/tests/plan/skip_all/Makefile.am,
	tap/tests/plan/skip_all/test.c, tap/tests/plan/skip_all/test.pl,
	tap/tests/plan/skip_all/test.t,
	tap/tests/plan/too-many-plans/Makefile.am,
	tap/tests/plan/too-many-plans/test.c,
	tap/tests/plan/too-many-plans/test.pl,
	tap/tests/plan/too-many-plans/test.t,
	tap/tests/plan/too-many-tests/Makefile.am,
	tap/tests/plan/too-many-tests/test.c,
	tap/tests/plan/too-many-tests/test.pl,
	tap/tests/plan/too-many-tests/test.t, tap/tests/skip/Makefile.am,
	tap/tests/skip/test.c, tap/tests/skip/test.pl,
	tap/tests/skip/test.t, tap/tests/todo/Makefile.am,
	tap/tests/todo/test.c, tap/tests/todo/test.pl,
	tap/tests/todo/test.t: Add Libtap as a bundled library (does not
	change any behaviour without --enable-libtap) Detects system library as pre-1.4.13 and does not install the
	built-in library anymore Tested on:   - Linux x86_64, with and without local libtap (System libtap
		installed) - Linux x86, with and without local libtap (System libtap NOT
	  installed) - Solaris SPARC, with and without local libtap, with and without
	system libtap installed

2008-11-28  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* Makefile.am, configure.in, external/README,
	lib/tests/Makefile.am, lib/tests/test_all.t,
	lib/tests/test_base64.t, lib/tests/test_cmd.t,
	lib/tests/test_disk.t, lib/tests/test_ini.t, lib/tests/test_opts.t,
	lib/tests/test_tcp.t, lib/tests/test_utils.c,
	lib/tests/test_utils.t, tools/setup: Revert inclusion of libtap into
	  nagiosplugins (except for the NEWS file) This reverts the following commits (latest first): f3e0909, 9f16b54,
	be8df51, f31cd40, 5270c7d, a25083f, f1bfe40, c503d85 and 6c476db

2008-11-27  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/tinderbox_build: tinderbox: Don't alter SunOS path if we're
	building off a repository tree SunOS make will work only out of snapshots and releases.

2008-11-26  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins-root/Makefile.am, plugins-scripts/Makefile.am,
	plugins/Makefile.am: Fixing build breakages (I totally forgot this
	rule was there...)

2008-11-26  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NP-VERSION-GEN: Fix it for good now

2008-11-26  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* NP-VERSION-GEN: Minor fix in NP-VERSION-GEN

2008-11-26  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* Makefile.am, NP-VERSION-GEN, configure.in,
	plugins-root/Makefile.am, plugins-scripts/Makefile.am,
	plugins/Makefile.am: Disable dynamic versionning for releases, and
	allow generating version out of subversion.  This should be a definitive fix for systems with non-compilant make
	programs as the version will be taken from $(PACKAGE_VERSION)
	instead.  At the same time I added code for generating svn-based version
	strings.

2008-11-25  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins-root/Makefile.am, plugins-scripts/Makefile.am,
	plugins/Makefile.am: Workaround to support more make programs Avoid the use of "-include". Since "include" is interpreted by
	Automake, we have to use a special macro instead.

2008-11-25  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* plugins-scripts/Makefile.am: Exporting ENV vars from Makefile is
	supported only with GNU Make. Use the shell instead.

2008-11-24  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/distclean: tools/distclean: No need to bailout on distclean
	failures

2008-11-24  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* tools/tinderbox_build: Revert "tinderbox: Comment out additional
	PATH conponent added for SunOS builds" This reverts commit 088452683cf881c6ed717cc559ca2eee3faa95ca.

2008-11-23  Thomas Guyot-Sionnest <dermoth@solaris.beaubien.net>

	* tools/tinderbox_build: tinderbox: Comment out additional PATH
	conponent added for SunOS builds

2008-11-23  Thomas Guyot-Sionnest <dermoth@solaris.beaubien.net>

	* plugins-root/Makefile.am, plugins-scripts/Makefile.am,
	plugins/Makefile.am: Avoid the use of .PHONY (target s created twice
	and I have no idea if it's right).

2008-11-23  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* .gitignore: Update .gitignore to include missing file/extention

2008-11-23  Thomas Guyot-Sionnest <dermoth@aei.ca>

	* .gitignore: Add .gitignore (Imported from svn:ignore)

2008-11-23  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* BRANCHES, Makefile.am, NP-VERSION-GEN, NPTest.pm, acinclude.m4,
	autogen.sh, command.cfg.in, configure.in,
	contrib/check_adptraid.sh, contrib/check_apc_ups.pl,
	contrib/check_appletalk.pl, contrib/check_arping.pl,
	contrib/check_email_loop.pl, contrib/check_fan_cpq_present,
	contrib/check_fan_fsc_present, contrib/check_frontpage,
	contrib/check_http-with-client-certificate.c, contrib/check_hw.sh,
	contrib/check_ica_master_browser.pl,
	contrib/check_ica_metaframe_pub_apps.pl,
	contrib/check_ica_program_neigbourhood.pl,
	contrib/check_inodes-freebsd.pl, contrib/check_javaproc.pl,
	contrib/check_joy.sh, contrib/check_log2.pl,
	contrib/check_lotus.pl, contrib/check_mem.pl,
	contrib/check_ms_spooler.pl, contrib/check_ora_table_space.pl,
	contrib/check_oracle_instance.pl, contrib/check_oracle_tbs,
	contrib/check_pfstate, contrib/check_rbl.c, contrib/check_smb.sh,
	contrib/check_snmp_disk_monitor.pl, contrib/check_snmp_printer.pl,
	contrib/check_snmp_process_monitor.pl, contrib/check_snmp_procs.pl,
	contrib/check_temp_cpq, contrib/check_temp_fsc,
	contrib/check_traceroute.pl, contrib/check_uptime.c,
	contrib/check_vcs.pl, contrib/check_wins.pl,
	contrib/packet_utils.pm, contrib/utils.py, doc/BRANCHING,
	doc/developer-guidelines.sgml, lib/extra_opts.c, lib/parse_ini.c,
	lib/tests/test_base64.c, lib/tests/test_cmd.c,
	lib/tests/test_disk.c, lib/tests/test_ini.c, lib/tests/test_opts.c,
	lib/tests/test_tcp.c, lib/tests/test_utils.c, lib/utils_base.c,
	lib/utils_cmd.c, lib/utils_disk.c, lib/utils_tcp.c,
	plugins-root/Makefile.am, plugins-root/check_dhcp.c,
	plugins-root/check_icmp.c, plugins-root/t/check_icmp.t,
	plugins-scripts/Makefile.am, plugins-scripts/check_breeze.pl,
	plugins-scripts/check_disk_smb.pl,
	plugins-scripts/check_file_age.pl, plugins-scripts/check_flexlm.pl,
	plugins-scripts/check_ifoperstatus.pl,
	plugins-scripts/check_ifstatus.pl, plugins-scripts/check_ircd.pl,
	plugins-scripts/check_log.sh, plugins-scripts/check_mailq.pl,
	plugins-scripts/check_mssql.pl, plugins-scripts/check_netdns.pl,
	plugins-scripts/check_ntp.pl, plugins-scripts/check_oracle.sh,
	plugins-scripts/check_rpc.pl, plugins-scripts/check_sensors.sh,
	plugins-scripts/check_wave.pl, plugins-scripts/subst.in,
	plugins-scripts/t/check_file_age.t, plugins-scripts/t/check_rpc.t,
	plugins-scripts/t/utils.t, plugins-scripts/utils.pm.in,
	plugins/Makefile.am, plugins/check_apt.c, plugins/check_by_ssh.c,
	plugins/check_cluster.c, plugins/check_dig.c, plugins/check_disk.c,
	plugins/check_dns.c, plugins/check_dummy.c, plugins/check_fping.c,
	plugins/check_game.c, plugins/check_hpjd.c, plugins/check_http.c,
	plugins/check_ide_smart.c, plugins/check_ldap.c,
	plugins/check_load.c, plugins/check_mrtg.c,
	plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	plugins/check_mysql_query.c, plugins/check_nagios.c,
	plugins/check_nt.c, plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c, plugins/check_nwstat.c,
	plugins/check_overcr.c, plugins/check_pgsql.c,
	plugins/check_ping.c, plugins/check_procs.c,
	plugins/check_radius.c, plugins/check_real.c, plugins/check_smtp.c,
	plugins/check_snmp.c, plugins/check_ssh.c, plugins/check_swap.c,
	plugins/check_tcp.c, plugins/check_time.c, plugins/check_ups.c,
	plugins/check_users.c, plugins/common.h, plugins/negate.c,
	plugins/netutils.c, plugins/netutils.h, plugins/popen.c,
	plugins/popen.h, plugins/runcmd.c, plugins/runcmd.h,
	plugins/sslutils.c, plugins/t/check_by_ssh.t,
	plugins/t/check_cluster.t, plugins/t/check_dig.t,
	plugins/t/check_disk.t, plugins/t/check_dns.t,
	plugins/t/check_dummy.t, plugins/t/check_fping.t,
	plugins/t/check_ftp.t, plugins/t/check_hpjd.t,
	plugins/t/check_http.t, plugins/t/check_imap.t,
	plugins/t/check_jabber.t, plugins/t/check_load.t,
	plugins/t/check_mysql.t, plugins/t/check_mysql_query.t,
	plugins/t/check_nagios.t, plugins/t/check_ntp.t,
	plugins/t/check_ping.t, plugins/t/check_pop.t,
	plugins/t/check_procs.t, plugins/t/check_smtp.t,
	plugins/t/check_snmp.t, plugins/t/check_swap.t,
	plugins/t/check_tcp.t, plugins/t/check_time.t,
	plugins/t/check_udp.t, plugins/t/check_users.t, plugins/t/negate.t,
	plugins/urlize.c, plugins/utils.c, plugins/utils.h, test.pl.in,
	tools/README, tools/git2svn.pl, tools/mini_epn.c, tools/setup,
	tools/tinderbox_build: Removing CVS/SVN tags and replacing with
	git-based versioning For contrib/, full tags have been imported from
	subversion git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2091 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-20  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_disk.c: Add comment to recent check_disk patch git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2088 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-19  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c, lib/utils_base.c, lib/utils_disk.c,
	plugins-root/check_dhcp.c, plugins-root/check_icmp.c,
	plugins-root/pst3.c, plugins/check_apt.c, plugins/check_cluster.c,
	plugins/check_disk.c, plugins/check_dns.c, plugins/check_dummy.c,
	plugins/check_game.c, plugins/check_hpjd.c, plugins/check_http.c,
	plugins/check_ldap.c, plugins/check_mrtg.c, plugins/check_mysql.c,
	plugins/check_nagios.c, plugins/check_ntp.c,
	plugins/check_ntp_peer.c, plugins/check_ntp_time.c,
	plugins/check_nwstat.c, plugins/check_pgsql.c,
	plugins/check_ping.c, plugins/check_radius.c, plugins/check_smtp.c,
	plugins/check_snmp.c, plugins/check_ssh.c, plugins/check_swap.c,
	plugins/check_tcp.c, plugins/check_time.c, plugins/check_ups.c,
	plugins/netutils.c, plugins/popen.c, plugins/urlize.c: Bulk EOL
	cleanup $ git diff --ignore-space-change|diffstat  0 files changed git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2087 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-19  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_ntp.c, plugins/check_ntp_peer.c: Fixed buffer
	overflow in check_ntp/check_ntp_peer (#1999319, Ubuntu #291265) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2086 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-19  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, THANKS.in, lib/utils_disk.c, plugins/check_disk.c: 
	check_disk: rerpopulate the mount list after doing a stat() on paths
	specified with -p for better automount support.  NB: There's a memory leak here - properly freeing the mount list
	    would invlove much more work - there's many other places where leaks
	    can happen so it should be a project on its own.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2085 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-14  Ton Voon <tonvoon@users.sourceforge.net>

	* tools/sfupload: Helper script to upload tarballs to SF and create
	md5sum git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2081 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-11  Ton Voon <tonvoon@users.sourceforge.net>

	* doc/developer-guidelines.sgml: Updated tinderbox link git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2080 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-08  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_nt.c: Add missing long options for check_nt
	(for use with extra-opts) Extra-opts (ini files) requires long-options for setting up
	arguments. Added the missing ones for check_nt so that it can be
	properly used with extra-opts.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2079 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-08  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_disk.c, plugins/check_dns.c,
	plugins/check_ide_smart.c, plugins/check_mrtg.c,
	plugins/check_mrtgtraf.c, plugins/check_mysql_query.c,
	plugins/check_nt.c: Fix long options parsing in check_disk,
	check_dns, check_mrtg and check_mrtgtraf (check_tcp was done in an
	earlier commit) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2078 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-08  Ton Voon <tonvoon@users.sourceforge.net>

	* THANKS.in: Added Jan for check_http method patch git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2077 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-08  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_http.c, plugins/tests/check_http.t: 
	Fixed bug where extra headers and redirect caused segfault (Dieter
	Van de Walle - 2089159) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2076 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-08  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, plugins/check_http.c, plugins/tests/check_http.t: check_http
	now has options to specify the HTTP method (Jan - 2155152) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2075 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-08  Ton Voon <tonvoon@users.sourceforge.net>

	* tools/setup: Fix for tar on Solaris git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2074 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-07  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, THANKS.in, plugins-root/check_icmp.c: check_icmp now reports
	min and max round trip time perfdata (Steve Rader) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2073 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-05  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_tcp.c: Fix check_tcp longoptions handling git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2072 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-05  Ton Voon <tonvoon@users.sourceforge.net>

	* lib/tests/Makefile.am: Need to add in the libgnu.la for Solaris
	and other platforms where missing functions have been replaced by
	GNUlib git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2071 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-05  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS: Missing NEWS item git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2070 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-05  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/extra_opts.c, lib/tests/test_opts.c: Fix calculation of
	extra-opts parameters.  By reading the current list instead of the additional one when
	counting parameters, extra-opts calculation was allocating
	insuficient space for the final array if later sections contained
	more arguments than the sum of all previously parsed sections.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2069 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-05  Ton Voon <tonvoon@users.sourceforge.net>

	* Makefile.am, NEWS, configure.in: Fixed libtap dependency issue.
	Warning: will install tap into lib directories if ./configure
	--enable-libtap is used, but as development tool, will be okay git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2068 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-05  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/t/check_http.t: Fix check_http test (altinity.com
	redirects now).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2067 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-04  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/tests/test_ini.c, lib/tests/test_opts.c: Fixed the test (not
	the bug yet) and added similar one to test_ini (that one works) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2066 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-04  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/tests/test_opts.c: Corrected test_opts plan git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2065 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-04  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/tests/plugins.ini, lib/tests/test_opts.c: Adding extra-opts
	check that crash on my prod servers (*** glibc detected ***
	malloc(): memory corruption: 0x0804e248 ***) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2064 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-04  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, lib/parse_ini.c, lib/tests/plugin.ini: Make extra-opts (C
	plugins) behave more like N::P:   N::P allows both '#' and ';' for comments. Extra-opts used to
	  allow only '#', it now allows both (';' is the standard for ini
	  files) Extra-opts does not allow trailing comments anymore (like
	N::P) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2063 f882894a-f735-0410-b71e-b25c423dba1c

2008-11-04  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_ups.c: check_ups now sends a LOGOUT
	string (debian bug #387001) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2062 f882894a-f735-0410-b71e-b25c423dba1c

2008-10-22  Matthias Eble <psychotrahe@users.sourceforge.net>

	* BUGS, NEWS, plugins-scripts/check_ifoperstatus.pl: 
	check_ifoperstatus -n flag now works as expected (sf.net #1569488)
	check_ifoperstatus now supports ifType based lookup for ifIndex git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2061 f882894a-f735-0410-b71e-b25c423dba1c

2008-10-21  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, tools/tinderbox_build: Updated tinderbox server git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2060 f882894a-f735-0410-b71e-b25c423dba1c

2008-10-05  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_users.c: check-users thresholds was >= rather
	than > as documented.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2059 f882894a-f735-0410-b71e-b25c423dba1c

2008-09-25  Ton Voon <tonvoon@users.sourceforge.net>

	* BUGS, ChangeLog, NEWS, configure.in, package.def: Preparation for
	1.4.13 git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2057 f882894a-f735-0410-b71e-b25c423dba1c

2008-09-25  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/tests/check_http.t: Fix small test failure git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2056 f882894a-f735-0410-b71e-b25c423dba1c

2008-09-25  Ton Voon <tonvoon@users.sourceforge.net>

	* doc/LEAVERS, doc/NEW_STARTERS, doc/RELEASING: Moving project
	administration documents to nagiosplugins.org site git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2055 f882894a-f735-0410-b71e-b25c423dba1c

2008-09-02  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp_peer.c: Typo git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2054 f882894a-f735-0410-b71e-b25c423dba1c

2008-09-02  Holger Weiss <hweiss@users.sourceforge.net>

	* THANKS.in, plugins/check_http.c: Some HTTP server
	applications/configurations cause trouble if the port is explicitly
	specified in our "Host:" header line.  Therefore, we now specify the
	port only if we're using a non-default port (Erik Wasser - 2082501).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2053 f882894a-f735-0410-b71e-b25c423dba1c

2008-09-02  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_ntp_peer.c: Fix possible segfault in
	check_ntp_peer with deliberately invalid packets git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2052 f882894a-f735-0410-b71e-b25c423dba1c

2008-09-01  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_ntp_peer.c, plugins/check_ntp_time.c: 
	check_ntp_peer/check_ntp_time used to show port in --help but
	ignored the argument - now implemented.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2051 f882894a-f735-0410-b71e-b25c423dba1c

2008-09-01  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_http.c: Revert "Re-structure the
	HTTP 1.1 headers to prevent 301s on servers with virtual hosts" This reverts commit 2030 git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2050 f882894a-f735-0410-b71e-b25c423dba1c

2008-09-01  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_http.c: Under some circumstances, the 'url' path of
	a redirection target missed a leading slash.  While this was fixed
	later on, the incomplete 'url' was used for redirection loop
	detection and error messages.  This is now fixed by adding the
	missing slash immediately.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2049 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-25  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/tests/check_http.t: Fix HTTP::Daemon::VERSION to get a
	fixed header size for tests (Sven Nierlein) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2048 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-25  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/tests/check_http.t: Updated with more tests re: multiple
	status codes (Sven Nierlein) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2047 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-25  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_http.c, plugins/tests/check_http.t: 
	The "-e" option now accepts a comma-delimited list of expected
	status lines (Sven Nierlein - 1894496).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2046 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-22  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/tests/check_http.t, plugins/tests/var/root: Added HTTP
	tests for status codes git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2045 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-21  Ton Voon <tonvoon@users.sourceforge.net>

	* configure.in: Only include extra-opts tests if libtap is enabled git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2044 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-21  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS: Note re: --enable-libtap git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2043 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-21  Ton Voon <tonvoon@users.sourceforge.net>

	* lib/tests/Makefile.am, lib/tests/test_all.t,
	lib/tests/test_base64.t, lib/tests/test_cmd.t,
	lib/tests/test_disk.t, lib/tests/test_ini.t, lib/tests/test_opts.t,
	lib/tests/test_tcp.t, lib/tests/test_utils.c,
	lib/tests/test_utils.t: Correctly link to included libtap. Simplify
	invoking test scripts.  Removed basename test as we should use
	base_name from GNUlib which is tested separately git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2042 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-21  Ton Voon <tonvoon@users.sourceforge.net>

	* tools/tinderbox_build: Fix regexp of version number of snapshot git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2041 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-21  Ton Voon <tonvoon@users.sourceforge.net>

	* Makefile.am: Remove .svn files in distribution git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2040 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-21  Ton Voon <tonvoon@users.sourceforge.net>

	* tools/setup: Renamed altered tap file to nagios-plugins git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2039 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-21  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp_peer.c: Nothing git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2038 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-21  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp_peer.c: Misplaced comment git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2037 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-21  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp_peer.c: Complete rewrite of the extract_value
	function The original one was flawed (easy to trigger segfaults) and did not
	allow some whitespaces as permitted by rfc1305. This one has been
	troughfully tested with tap (the testing code might get included
	later) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2036 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-21  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c, lib/parse_ini.h, lib/tests/test_opts.c: Typos in
	comments git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2035 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-16  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_mysql.c, plugins/check_mysql_query.c: Fix assignment
	written as a comparison in validate_arguments() when db_pass is NULL
	(Patch from http://blog.barfoo.org/projects/rpms-for-sles10) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2034 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-16  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_fping.c: Fix check_fping --help output (Patch from
	http://blog.barfoo.org/projects/rpms-for-sles10) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2033 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-16  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/t/check_by_ssh.t: Typo git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2032 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-08  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins-root/pst3.c: Close on fd git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2031 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-08  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_http.c: Re-structure the HTTP 1.1
	headers to prevent 301s on servers with virtual hosts git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2030 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-08  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins-root/check_icmp.c: Typo in --help output git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2029 f882894a-f735-0410-b71e-b25c423dba1c

2008-08-05  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* tools/devmode: Set -D_FORTIFY_SOURCE=2, and added a comment with
	link to explaination of this flag.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2028 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-28  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins-root/check_icmp.c: -b option now specifies ICMP data bytes
	instead of packet size git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2027 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-17  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins-root/check_icmp.c: Add support for packet size
	modification (-b) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2026 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_disk.c: Verbose should not have to exceed 3 as per
	developement guidelines git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2025 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* tools/devmode: Add -D_FORTIFY_SOURCE git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2024 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ups.c: Typo in check_ups git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2023 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-09  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/t/check_snmp.t: rewrote check_snmp.t to use Test::More
	added perfdata checking for string values git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2022 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-09  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins/check_snmp.c: check_snmp now only prints perfdata
	for non numeric values (Joerg Linge #1867716) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2021 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-08  Ton Voon <tonvoon@users.sourceforge.net>

	* Makefile.am, tools/tinderbox_build: Removed libtap configuration
	for the moment, as tinderbox builds are breaking git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2020 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-08  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, lib/utils_cmd.c, lib/utils_cmd.h, plugins/Makefile.am,
	plugins/check_procs.c: check_procs captures stderr and adds to
	plugin output. This is from a merge of branch
	nagiosplug/branches/new_threshold_syntax 1979:1982 git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2019 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-06  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins-root/check_dhcp.c: Don't try to set the "SO_BROADCAST"
	socket option for unicast requests.  (Also, removed the unused "DHCP_UNICAST_FLAG" macro.) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2018 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-02  Ton Voon <tonvoon@users.sourceforge.net>

	* lib/tests/Makefile.am: Use tap.h from the libtap directory git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2017 f882894a-f735-0410-b71e-b25c423dba1c

2008-07-02  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins-root/Makefile.am, plugins-root/pst3.c: Change pst3 again,
	this time to remove use of kvm which is not available in Solaris 10
	non-global zones. Uses /proc, which is not available in older
	versions of Solaris.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2016 f882894a-f735-0410-b71e-b25c423dba1c

2008-06-30  Ton Voon <tonvoon@users.sourceforge.net>

	* tools/setup: Fixed bug in tools/setup if docbook was run git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2015 f882894a-f735-0410-b71e-b25c423dba1c

2008-06-30  Ton Voon <tonvoon@users.sourceforge.net>

	* Makefile.am: Have to list tap_dir manually to get into make dist git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2014 f882894a-f735-0410-b71e-b25c423dba1c

2008-06-26  Ton Voon <tonvoon@users.sourceforge.net>

	* Makefile.am, configure.in, external/README,
	lib/tests/Makefile.am, tools/setup, tools/tinderbox_build: Adding
	libtap into distribution to help run C based tests git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2013 f882894a-f735-0410-b71e-b25c423dba1c

2008-06-17  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins-root/pst3.c: Fixed possible coredump. Removed one level of
	subroutines (Duncan Ferguson) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2012 f882894a-f735-0410-b71e-b25c423dba1c

2008-06-09  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins/check_dig.c, plugins/t/check_dig.t: Added testcases
	for check_dig check_dig's -l option is mandatory now (#1986306) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2011 f882894a-f735-0410-b71e-b25c423dba1c

2008-06-02  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, plugins-root/pst3.c: Optimised pst3 for systems with large
	number of processes (Duncan Ferguson) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2010 f882894a-f735-0410-b71e-b25c423dba1c

2008-06-02  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS: Updated Nagios::Plugin perl modules to 0.27 git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2009 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-30  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_http.c: Fix Debian bug #460097:
	check_http --max-age broken (Hilko Bengen) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2008 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-29  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* BUGS: typo git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2007 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-27  Ton Voon <tonvoon@users.sourceforge.net>

	* doc/RELEASING: Changed SF file release to use sftp instead of ftp git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2006 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-27  Ton Voon <tonvoon@users.sourceforge.net>

	* BUGS, ChangeLog, NEWS, configure.in, package.def: Preparation for
	1.4.12 release git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2004 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-27  Ton Voon <tonvoon@users.sourceforge.net>

	* THANKS.in, configure.in: Not picking up solaris systems correctly
	for check_dhcp. Only affected SunStudio compiles of check_dhcp
	(1890260 - Rob Windsor) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2003 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-27  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/check_by_ssh.c: Addition to help to state that -f will
	always return OK if ssh command is executed (Alain Dewit - 1852198) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2002 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-27  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins-root/pst3.c: Add additional PID column heading git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2001 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-26  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS: correct typo in NEWS git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@2000 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-23  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* REQUIREMENTS: Add a note about radiusclient git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1999 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-22  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, configure.in: Fix linking against OpenSSL where libdl is
	required git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1998 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-21  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_by_ssh.c, plugins/t/check_by_ssh.t: Fixed
	passive option in check_by_ssh Also: - On non-skipped stderr, check_by_ssh now returns UNKNOWN or worse
	(result from command) instead of always UNKNOWN.  - Fixed passive tests and make is always run the specified number of
	tests (using fail if there's nothing to test).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1997 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-20  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/t/check_by_ssh.t: Oops - forgot to remove the SKIP block
	(which didn't seem to work fine) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1996 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-20  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/t/check_by_ssh.t: Add check_by_ssh tests (passive checks
	are broken - should be fixed before next release!) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1995 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-20  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_radius.c: Clobber password in check_radius
	process list aguments git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1994 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-13  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_dns.c: Typo git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1992 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-07  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins-root/check_dhcp.c, plugins-root/check_icmp.c,
	plugins/check_apt.c, plugins/check_by_ssh.c,
	plugins/check_cluster.c, plugins/check_dig.c, plugins/check_disk.c,
	plugins/check_dns.c, plugins/check_fping.c, plugins/check_game.c,
	plugins/check_hpjd.c, plugins/check_http.c,
	plugins/check_ide_smart.c, plugins/check_ldap.c,
	plugins/check_load.c, plugins/check_mrtg.c,
	plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	plugins/check_mysql_query.c, plugins/check_nagios.c,
	plugins/check_nt.c, plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c, plugins/check_nwstat.c,
	plugins/check_overcr.c, plugins/check_pgsql.c,
	plugins/check_ping.c, plugins/check_procs.c,
	plugins/check_radius.c, plugins/check_real.c, plugins/check_smtp.c,
	plugins/check_snmp.c, plugins/check_ssh.c, plugins/check_swap.c,
	plugins/check_tcp.c, plugins/check_time.c, plugins/check_ups.c,
	plugins/check_users.c, plugins/utils.h: Added support for
	--extra-opts in all C plugins (disabled by default, see configure
	--help) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1991 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-07  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_ping.c: Added performance data to
	check_ping (Christian Schneemann) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1990 f882894a-f735-0410-b71e-b25c423dba1c

2008-05-02  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/negate.c: negate now has the ability to replace the
	status text as well (-s, --substitute) Also changed:  - default timeout to 11 instead of 9 (since it's recommended to
	 have a higher timeout, and many plugins default to 10 seconds) - If there's no STDOUT lines returned, still returns the returned
	result if it's NON-ok instead of forcing it to UNKNOWN git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1989 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-30  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_mysql.c, plugins/check_mysql_query.c,
	plugins/t/check_mysql.t: Add socket support to check_mysql* Also
	clears the password from check_mysql command-line options git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1988 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-29  Holger Weiss <hweiss@users.sourceforge.net>

	* configure.in: Support "--without-pgsql" (reported by Alex Songe
	via IRC).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1987 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-29  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c: Use UT_THRESHOLDS_NOTES in all plugins git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1986 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-29  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins-root/check_dhcp.c, plugins-root/check_icmp.c: --help
	output cleanup (plus removal of spaces on blank lines) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1985 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-27  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_apt.c, plugins/check_by_ssh.c,
	plugins/check_cluster.c, plugins/check_dig.c, plugins/check_disk.c,
	plugins/check_dns.c, plugins/check_dummy.c, plugins/check_fping.c,
	plugins/check_game.c, plugins/check_hpjd.c, plugins/check_http.c,
	plugins/check_ide_smart.c, plugins/check_ldap.c,
	plugins/check_load.c, plugins/check_mrtg.c,
	plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	plugins/check_mysql_query.c, plugins/check_nagios.c,
	plugins/check_nt.c, plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_nwstat.c, plugins/check_overcr.c,
	plugins/check_pgsql.c, plugins/check_ping.c, plugins/check_procs.c,
	plugins/check_radius.c, plugins/check_real.c, plugins/check_snmp.c,
	plugins/check_swap.c, plugins/check_ups.c, plugins/utils.h: --help
	output cleanup (plus removal of spaces on blank lines) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1984 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-23  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_radius.c: Correct typo and make the --help notes a
	bit simpler.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1983 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-17  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_dns.c: Correct the help text git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1979 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-17  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_dns.c: Allow to repeat -a to set multiple
	possible addresses git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1978 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-05  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_ntp.c, plugins/check_ntp_peer.c: check_ntp and
	check_ntp_peer now show proper jitter/stratum thresholds longopts in
	--help git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1977 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-04  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/extra_opts.c, lib/parse_ini.c, lib/tests/test_ini.c,
	lib/tests/test_opts.c: make parse_ini die like in N::P if section
	isn't found git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1976 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-02  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/Makefile.config-opts, lib/tests/Makefile.config-opts: Delete
	obsolete files git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1974 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-02  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* configure.in, lib/Makefile.am, lib/parse_ini.c,
	lib/tests/Makefile.am, lib/tests/test_ini.t, lib/tests/test_opts.t,
	po/de.po, po/fr.po, po/nagios-plugins.pot: - Add --enable-extra-opts configure option for compiling extra-opts
	support - Auto-update po/pot files git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1973 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-01  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c: fix the obvious...  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1972 f882894a-f735-0410-b71e-b25c423dba1c

2008-04-01  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/extra_opts.c, lib/extra_opts.h: np_extra_opts now retain
	pointers from argv so that plugins can still overwrite sensitive
	options git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1971 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-31  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* : update svn:ignore property (last gnulib update added many
	auto-generated files) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1970 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-31  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/extra_opts.c, lib/extra_opts.h, lib/parse_ini.c,
	lib/parse_ini.h, lib/tests/test_ini.c, lib/tests/test_opts.c: Fix
	for last commit - I accidentaly broke my local Makefile and tests
	weren't being re-compiled.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1968 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-30  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/extra_opts.c, lib/extra_opts.h, lib/tests/test_opts.c: - Remove the last argument of np_extra_opts - Code cleanups and comments git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1967 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-29  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* : Update svn:ignore property git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1966 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-24  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/extra_opts.c, lib/extra_opts.h, lib/tests/config-opts.ini,
	lib/tests/test_opts.c, lib/tests/test_opts.t: Add extra-opts
	argument parsing with tests git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1961 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-24  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c, lib/parse_ini.h: Replace broken usage of
	NAGIOS_CONFIG_PATH with a stub function (that will try to find a
	config file in the future...) Allow NULL locator (default
	file/section) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1960 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-20  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_dig.c: - Fix bug #1920671 - Make --help output looks nice git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1959 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-18  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/tests/check_procs.t: Include test for check_procs, using
	input file git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1955 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-18  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/check_procs.c, plugins/tests/var/ps-axwo.darwin,
	plugins/tests/var/ps_axwo.debian: Updated check_procs with a hidden
	--input-file option.  Include some sample outputs for testing git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1954 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-17  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/t/check_nagios.t: Don't run check_nagios tests on Solaris,
	because of pst3 requirement git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1953 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-16  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/tests/config-dos.ini, lib/tests/plugin.ini,
	lib/tests/test_ini.c: Add tests: - DOS-newline ini file - section defined twice git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1951 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c: parse_ini now reads the default section if the
	request one can't be found.  All tests should return ok now.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1950 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c: Oops - this line shouldn't have been here
	(doesn't even work anyways) ;) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1949 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c, lib/tests/plugin.ini, lib/tests/test_ini.c: - Make equal-less parameters illegal - parameters without argument after '=' are now assumed to be
	argument-less - Add a testcase for space in stanza and various argument-less
	parameters git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1948 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c: Fix handling of leading and trailing spaces in
	stanza git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1947 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c, lib/tests/test_ini.c: Fix segfault in test_ini.c
	and uncomment the affected tests Fix bug in stanza parsing where
	full section could be skipped Fix single-argument options git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1946 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c, lib/parse_ini.h, lib/tests/test_ini.c,
	lib/tests/test_ini.t: This commit consist of two changes: 1. Make np_get_defaults return a linked list instead of a string. It
	will then be easy to convert the linked list back to an argument
	array.  2. Fix tests 3-4 of test_ini.c.  A test_ini.t was added too. parse_ini and test_ini aren't included
	yet in the build makefiles.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1945 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-15  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_http.c: Add port to Host Header to prevent problems
	with non default ports (Christophe Dupre #1881898) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1944 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-14  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins/check_dig.c: Added -A/--dig-arguments to check_dig
	(#1889453/#1874041) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1943 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-14  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_smtp.c: Enhanced check_smtp to actually print
	invalid response text (#1911239) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1942 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-14  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, plugins-root/Makefile.am, plugins/Makefile.am: Fixed 64 bit
	pst3 when tries to link to gettext. Gettext linked dynamically, if
	necessary git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1941 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-14  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* gl/charset.alias, gl/configmake.h, gl/math.h, gl/ref-add.sed,
	gl/ref-del.sed, gl/stdio.h, gl/stdlib.h, gl/string.h, gl/unistd.h: 
	These files are generated automatically during the make process, and
	removed by make clean.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1940 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-11  Ton Voon <tonvoon@users.sourceforge.net>

	* configure.in, gl/m4/mbstate_t.m4: Possible fix for HP-UX compile
	problems of regex_internal.c git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1939 f882894a-f735-0410-b71e-b25c423dba1c

2008-03-11  Ton Voon <tonvoon@users.sourceforge.net>

	* configure.in, lib/utils_base.c, plugins-root/Makefile.am,
	plugins/check_http.c, plugins/check_smtp.c, plugins/common.h: Fixed
	link -m64 problems on pst3 for solaris. Fixed _FILE_OFFSET_BITS
	redefinition warnings. Fixed helper ar error in ./configure git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1938 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-28  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, configure.in, plugins-root/Makefile.am,
	plugins-root/pst3.c, plugins/check_procs.c, plugins/t/check_procs.t: 
	Reverted check_procs for solaris back to using pst3 due to
	truncation for argument fields using other methods git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1937 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-28  Ton Voon <tonvoon@users.sourceforge.net>

	* tools/build_perl_modules: Fix where PERL5LIB is blank git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1936 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-18  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS: Added CVE MITRE tracking number git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1935 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-13  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins/check_pgsql.c: check_pgsql now builds with postgres
	lib v8.3 (Jan Wagner #1878972) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1934 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-13  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_disk.c: Fix --local argument handling (Jan Wagner
	#1878971) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1933 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-13  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_disk.c: Fix broken intending (The whole file use
	spaces only except my last patch and 1-3 other places).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1932 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-13  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* : Add two files to svn:ignore git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1931 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-13  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS: News, nothing else.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1929 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-13  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/common.h: This floorf workaround is Nnot needed anymore
	since floorf is part of Gnulib git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1928 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-13  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/tests/test_base64.c: Reverting patch to test 8-bit data: Still
	broken on Solaris (7-bit works as before) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1927 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-12  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* gl/Makefile.am, gl/base64.c, gl/base64.h, gl/charset.alias,
	gl/configmake.h, gl/floor.c, gl/floorf.c, gl/m4/base64.m4,
	gl/m4/floorf.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/math_h.m4, gl/math.h, gl/math.in.h, gl/ref-add.sed,
	gl/ref-del.sed, gl/stdio.h, gl/stdlib.h, gl/string.h, gl/unistd.h,
	lib/Makefile.am, lib/base64.c, lib/base64.h, lib/tests/Makefile.am,
	lib/tests/test_base64.c, plugins/check_http.c, plugins/check_smtp.c: 
	Import Gnulib floorf and base64 and removed our old base64 library.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1926 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-12  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* build-aux/config.rpath, build-aux/link-warning.h, gl/Makefile.am,
	gl/alloca.c, gl/alloca.in.h, gl/alloca_.h, gl/asnprintf.c,
	gl/asprintf.c, gl/basename.c, gl/c-strtod.c, gl/cloexec.c,
	gl/config.charset, gl/creat-safer.c, gl/dirname.c, gl/dirname.h,
	gl/dup-safer.c, gl/error.c, gl/error.h, gl/exit.h, gl/exitfail.c,
	gl/exitfail.h, gl/fcntl--.h, gl/fcntl-safer.h, gl/fd-safer.c,
	gl/float+.h, gl/float.in.h, gl/fsusage.c, gl/fsusage.h,
	gl/full-read.c, gl/full-read.h, gl/full-write.c, gl/full-write.h,
	gl/gai_strerror.c, gl/getaddrinfo.c, gl/getaddrinfo.h,
	gl/gethostname.c, gl/getloadavg.c, gl/getopt.c, gl/getopt.in.h,
	gl/getopt1.c, gl/getopt_.h, gl/getopt_int.h, gl/gettext.h,
	gl/inet_ntop.c, gl/inet_ntop.h, gl/intprops.h, gl/localcharset.c,
	gl/localcharset.h, gl/m4/absolute-header.m4, gl/m4/alloca.m4,
	gl/m4/extensions.m4, gl/m4/float_h.m4, gl/m4/fsusage.m4,
	gl/m4/getaddrinfo.m4, gl/m4/getloadavg.m4, gl/m4/gettext.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/iconv.m4, gl/m4/include_next.m4,
	gl/m4/intdiv0.m4, gl/m4/intl.m4, gl/m4/intlmacosx.m4,
	gl/m4/intmax_t.m4, gl/m4/lib-link.m4, gl/m4/localcharset.m4,
	gl/m4/lock.m4, gl/m4/longdouble.m4, gl/m4/longlong.m4,
	gl/m4/malloc.m4, gl/m4/mbchar.m4, gl/m4/mbiter.m4,
	gl/m4/mbrtowc.m4, gl/m4/memchr.m4, gl/m4/minmax.m4,
	gl/m4/netinet_in_h.m4, gl/m4/po.m4, gl/m4/printf-posix.m4,
	gl/m4/regex.m4, gl/m4/snprintf.m4, gl/m4/socklen.m4,
	gl/m4/stdint.m4, gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4,
	gl/m4/strcase.m4, gl/m4/strdup.m4, gl/m4/strerror.m4,
	gl/m4/string_h.m4, gl/m4/strndup.m4, gl/m4/strnlen.m4,
	gl/m4/sys_socket_h.m4, gl/m4/uintmax_t.m4, gl/m4/ulonglong.m4,
	gl/m4/unistd_h.m4, gl/m4/vasnprintf.m4, gl/m4/vasprintf.m4,
	gl/m4/vsnprintf.m4, gl/m4/wchar.m4, gl/m4/wctype.m4,
	gl/m4/wcwidth.m4, gl/m4/wint_t.m4, gl/malloc.c, gl/mbchar.c,
	gl/mbchar.h, gl/mbuiter.h, gl/memchr.c, gl/minmax.h,
	gl/mountlist.c, gl/mountlist.h, gl/netinet_in.in.h,
	gl/open-safer.c, gl/pipe-safer.c, gl/printf-args.c,
	gl/printf-args.h, gl/printf-parse.c, gl/printf-parse.h,
	gl/ref-add.sin, gl/ref-del.sin, gl/regcomp.c, gl/regex.c,
	gl/regex.h, gl/regex_internal.c, gl/regex_internal.h, gl/regexec.c,
	gl/safe-read.c, gl/safe-read.h, gl/safe-write.c, gl/safe-write.h,
	gl/size_max.h, gl/snprintf.c, gl/snprintf.h, gl/socket_.h,
	gl/stdbool.in.h, gl/stdbool_.h, gl/stdint.in.h, gl/stdint_.h,
	gl/stdio.in.h, gl/stdlib.in.h, gl/strcase.h, gl/strcasecmp.c,
	gl/strdup.c, gl/strdup.h, gl/strerror.c, gl/string.in.h,
	gl/stripslash.c, gl/strncasecmp.c, gl/strndup.c, gl/strndup.h,
	gl/strnlen.c, gl/strnlen.h, gl/strnlen1.c, gl/strnlen1.h,
	gl/sys_socket.in.h, gl/unistd--.h, gl/unistd-safer.h,
	gl/unistd.in.h, gl/unistd_.h, gl/vasnprintf.c, gl/vasnprintf.h,
	gl/vasprintf.c, gl/vasprintf.h, gl/vsnprintf.c, gl/vsnprintf.h,
	gl/wchar.in.h, gl/wchar_.h, gl/wctype.in.h, gl/wctype_.h,
	gl/wcwidth.h, gl/xalloc-die.c, gl/xalloc.h, gl/xmalloc.c,
	gl/xsize.h, gl/xstrndup.c, gl/xstrndup.h, plugins/common.h,
	po/Makevars: Sync to latest Gnulib git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1925 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-11  Ton Voon <tonvoon@users.sourceforge.net>

	* REQUIREMENTS: Hints re: SSL features git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1924 f882894a-f735-0410-b71e-b25c423dba1c

2008-02-11  Ton Voon <tonvoon@users.sourceforge.net>

	* configure.in: Added link to FAQ for redhat spopen problem git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1923 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-31  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins-root/check_dhcp.c, plugins-root/check_icmp.c,
	plugins-root/pst3.c: Bump plugins-root/ to GPLv3 git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1920 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-31  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/common.h, plugins/netutils.h, plugins/popen.h,
	plugins/runcmd.h: Bump plugins/ to GPLv3 (header files) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1919 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-31  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/negate.c, plugins/netutils.c, plugins/popen.c,
	plugins/runcmd.c, plugins/sslutils.c, plugins/urlize.c,
	plugins/utils.c: Bump plugins/ to GPLv3 (non-plugind files) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1918 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-31  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_overcr.c, plugins/check_pgsql.c,
	plugins/check_ping.c, plugins/check_procs.c,
	plugins/check_radius.c, plugins/check_real.c, plugins/check_smtp.c,
	plugins/check_snmp.c, plugins/check_ssh.c, plugins/check_swap.c,
	plugins/check_tcp.c, plugins/check_time.c, plugins/check_ups.c,
	plugins/check_users.c: Bump plugin/ to GPLv3 (check_overcr to
	check_users) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1917 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-30  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_apt.c, plugins/check_by_ssh.c,
	plugins/check_cluster.c, plugins/check_dig.c, plugins/check_disk.c,
	plugins/check_dns.c, plugins/check_dummy.c, plugins/check_fping.c,
	plugins/check_game.c, plugins/check_hpjd.c, plugins/check_http.c,
	plugins/check_ide_smart.c, plugins/check_ldap.c,
	plugins/check_load.c, plugins/check_mrtg.c,
	plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	plugins/check_mysql_query.c, plugins/check_nagios.c,
	plugins/check_nt.c, plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c, plugins/check_nwstat.c: Bump plugins/ to
	GPLv3 (check_apt to check_nwstat) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1916 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-30  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/utils_disk.c, lib/utils_tcp.c: details...  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1915 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-30  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/tests/test_base64.c, lib/tests/test_cmd.c,
	lib/tests/test_disk.c, lib/tests/test_ini.c, lib/tests/test_tcp.c,
	lib/tests/test_utils.c: Bump lib/tests to GPLv3 git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1914 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-30  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c, lib/utils_base.c, lib/utils_cmd.c,
	lib/utils_disk.c, lib/utils_tcp.c: Bump /lib to GPLv3 git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1913 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-30  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/parse_ini.c: new standardized GPLv3 header (will be applied to
	all C files) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1912 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-29  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_ntp_peer.c: check_ntp_peer now checks for the
	LI_ALARM flag git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1911 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-29  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS: typo git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1910 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-29  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_ntp.c, plugins/check_ntp_time.c: Fix bugs and
	flaws in best offset server selection of check_ntp_time and
	(deprecated) check_ntp git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1909 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-26  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c:  Fix help text of check_ntp_* (Bug #1880095) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1908 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_disk.c: Fix check_disk disk usage calculation
	when using --group=NAME (related to bug #1348746) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1907 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, configure.in: Add AC_SYS_LARGEFILE to configure.in
	(check_disk should now work with large file systems (2TB+) on all
	archs that supports it) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1906 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/tests/test_cmd.c: Add a return-code check (also test cmd_run
	without out/err buffers) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1905 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-09  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* tools/tinderbox_build: make test-debug generate lots of false
	errors in tinderbox. Turning off until we find a solution (so al
	least we can watch the tinderbox for breakages again) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1904 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-08  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_dns.c: Fixed reverse lookup damaged by previous
	commit git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1903 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-08  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/t/check_dns.t: Changed default test values for check_dns
	(using nagios.com) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1902 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-08  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/t/check_ftp.t, plugins/t/check_imap.t,
	plugins/t/check_jabber.t, plugins/t/check_pop.t,
	plugins/t/check_tcp.t: Reverted commits 1898 and 1899 due to
	reversion of 1879 git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1901 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-08  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, plugins/check_tcp.c: Reverted commit 1879 where an invalid
	hostname returns UNKNOWN - back to CRITICAL git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1900 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-08  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/t/check_imap.t, plugins/t/check_jabber.t,
	plugins/t/check_pop.t: more r1879 fixes git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1899 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-08  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/t/check_ftp.t, plugins/t/check_tcp.t: Fix test breakages
	for commit r1879: check_tcp now returns UNKNOWN with an invalid
	hostname on command line git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1898 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-08  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins-root/check_icmp.c: Hide some debug output which was
	printed even without "-v" (under certain circumstances).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1897 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-08  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins-root/check_icmp.c: Fix the handling of ICMP packets which
	are not echo replies (such as destination unreachable messages) or
	which are not directed at us.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1896 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-08  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins-root/check_icmp.c: Get rid of a cast which increases the
	required alignment.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1895 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-08  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins-root/check_icmp.c: Mark some constant strings "const".  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1894 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-07  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/netutils.c: Support "[IPv6]" address syntax.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1893 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-07  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_http.c: My assumption that "-H example.com:80"
	didn't work (see my previous commit) was wrong, it worked if used
	together with "-I".  So, here's support for "-H [IPv6]:port", "-H
	[IPv6]", "-H IPv6", "-H IPv4:port", "-H IPv4", and "-H host:port".  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1892 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-06  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_http.c: Remove support for specifying the port
	number using "-H example.com:80".  Since this didn't work anyway
	(because ":80" wasn't stripped from the "host_name" after extracting
	the "server_port"), nobody can be using this syntax, and it prevents
	"-H" from accepting IPv6 addresses (neufeind - 1865082).  IMO,
	fixing it to recognize both ":80" and IPv6 addresses isn't worth it,
	as the ":80" syntax doesn't seem very useful for Nagios plugins
	(given the way how they are usually called in Nagios command
	definitions).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1891 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-06  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/tests/test_base64.c: Fix base64 test (known string wasn't
	null-terminated) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1890 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-06  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/tests/test_cmd.c: Fix tinderbox breakage git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1889 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-06  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_ldap.c: If unspecified set LDAP_OPT_SUCCESS to
	LDAP_SUCCESS (Sergei Haramundanis - #1498923) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1888 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-05  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_ntp.c, plugins/check_ntp_time.c: Fix Bug
	#1862300: check_ntp_time segfault in 1.4.11 (Also apply to
	check_ntp) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1887 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-05  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_dns.c: check_dns now sorts
	addresses for -a support with multiple address replies (Matthias
	Urlichs #1724052) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1886 f882894a-f735-0410-b71e-b25c423dba1c

2008-01-04  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_procs.c: Cleaned check_procs usage output (Ferenc
	Wagner #1862218) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1885 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-21  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins-root/check_icmp.c: Fix INADDR_NONE value (for systems
	which don't define it).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1884 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-21  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins-root/check_icmp.c: Include <sys/sockio.h> (if available)
	to get SIOCGIFADDR defined on Solaris.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1883 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-21  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, THANKS.in, plugins-root/check_icmp.c: New "-s" option to
	specify the source IP address (thanks to Harald Jenny for providing
	the patch and to Patrick Cervicek for looking into it!) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1882 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-21  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ldap.c: Remove c formating from translated strings
	(makes translation easier) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1881 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-19  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_ldap.c: Fix the "--help" output.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1880 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-19  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, plugins/check_tcp.c: check_tcp now returns UNKNOWN with an
	invalid hostname on command line git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1879 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-17  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_nt.c: Add check_nt -v INSTANCES
	(Alessandro Ren) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1877 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-13  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/check_nwstat.c: Fixed help output (Christian Mies) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1876 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-13  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS: NEWS edited for consistent grammar git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1875 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-13  Ton Voon <tonvoon@users.sourceforge.net>

	* BUGS, ChangeLog, NEWS, configure.in, package.def: Preparation for
	1.4.11 git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1873 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-13  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, THANKS.in, plugins-root/Makefile.am: Fixed VPATH problem in
	plugins-root (Tom Payerle - 1789000) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1872 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-13  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS: Update to latest Nagios::Plugin git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1871 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-12  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* : Add build files/binaries to the svn:ignore propt git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1867 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-11  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/t/check_ntp.t: D'oh! single escape will be handled by
	Perl....  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1865 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-11  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp_peer.c, plugins/t/check_ntp.t: - Fix check_ntp_peer returning misleading information when an ICMP
	message came back - Try to fix some servers apparently exanding the ~ in threshold
	ranges in t/check_ntp.t git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1864 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-11  Ton Voon <tonvoon@users.sourceforge.net>

	* lib/tests/test_cmd.c: Fixed test so works on MacOSX (use /bin/sh
	instead of /bin/grep).  Added extra test for missing command -
	should drop into STATE_UNKNOWN git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1863 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-11  Ton Voon <tonvoon@users.sourceforge.net>

	* lib/tests/Makefile.am: Add verbose flag so each test result is
	seen, rather than grouped by test git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1862 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-11  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins-root/check_icmp.c, plugins/check_cluster.c,
	plugins/check_http.c, plugins/check_mrtgtraf.c,
	plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c: Adding missing function calls needed for
	i18n (only for plugins already in POTFILES.in) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1861 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* po/fr.po: Some corrections git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1860 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_cluster.c, plugins/check_mysql.c,
	plugins/check_radius.c, plugins/check_snmp.c, plugins/check_swap.c,
	plugins/negate.c, po/de.po, po/fr.po, po/nagios-plugins.pot: Plenty
	 of french translations (and a few fixes BTW) - No more fuzzy french translations  - Only (!) 355 strings to translate git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1859 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c: OOPS! Last commit should have included
	these files.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1858 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* po/de.po, po/fr.po, po/nagios-plugins.pot: D'autres translations -
	Err, I mean more translations :) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1857 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* po/fr.po: More translations git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1856 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* po/de.po, po/fr.po, po/nagios-plugins.pot: re-update the po files git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1855 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp_peer.c, po/fr.po: Some translations git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1854 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-10  Matthias Eble <psychotrahe@users.sourceforge.net>

	* po/de.po, po/fr.po, po/nagios-plugins.pot: Localization updates
	for recent changes git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1853 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-10  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_http.c: Fix output when response time is critical.
	Thanks to Nobuhiro Ban (patch #1817228) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1852 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-10  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins/check_load.c, plugins/t/check_load.t: Fixed
	check_load argument handling when passing non triplet thresholds.
	Thanks to Jonathan Kamens (bug #1831890) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1851 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-09  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* po/POTFILES.in, po/de.po, po/fr.po, po/nagios-plugins.pot: Gettin'
	ready for some translation frenzy :) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1850 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-09  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* po/de.po, po/fr.po, po/nagios-plugins.pot: update po files and fix
	a few French translations git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1849 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-08  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_disk.c: Fix check_disk reporting OK if disk
	usage grows over 100% (bug #1348746).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1848 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-04  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp_time.c: Interesting... For some reason it did
	not take this (patch barfed on it and I thought I had fixed it
	already)...  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1847 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-04  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/Makefile.am, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c, plugins/t/check_ntp.t: Merge changes from
	branches/dermoth_ntp_rework (check_ntp_peer/check_ntp_time)  NEWS                     |   13  plugins/Makefile.am      |    8  plugins/check_ntp_peer.c |  628
	 ++++++++++++++++-------------------------------
	plugins/check_ntp_time.c |  323 ++----------------------  plugins/t/check_ntp.t    |   92 +++++- git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1846 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-04  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp_peer.c, plugins/check_ntp_time.c: Add the new
	checks as check_ntp copies to keep full plug-in history git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1843 f882894a-f735-0410-b71e-b25c423dba1c

2007-12-04  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp.c: missing word in comment block.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1838 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-23  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_ntp.c: - Use max_state_alt in check_ntp to fix some issues with the latest
	commits.  - Roll back the stratum check as there were issues with it and a
	better one is already implemented in check_ntp_peer (about to be
	included) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1830 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-23  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/utils.c, plugins/utils.h: Add a max_state_alt function
	that put UNKNOWN and DEPENDENT ahead of OK.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1829 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-11  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_cluster.c, plugins/check_snmp.c: Fix broken
	usage2 in check_snmp and check_cluster Fix check_cluster blocking
	some special characters for thresholds ("-", "@", "~") git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1827 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp.c: Fix newly added stratum check (has to be
	decreased by one when using normal NTP packets versus control
	packets) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1822 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-09  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/tests/test_base64.c: Adding svn:keywords props git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1819 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-09  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* configure.in, lib/tests/Makefile.am, lib/tests/test_base64.c,
	lib/tests/test_base64.t, tools/distclean: Adding test for base64 lib git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1818 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-09  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/Makefile.am, lib/base64.c, lib/base64.h,
	plugins/check_http.c, plugins/check_smtp.c: Moved base64 function to
	/lib.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1817 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-09  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* lib/utils_tcp.h: Nothing to see here...  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1816 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-09  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* THANKS.in: Credits of check_snmp fix for bug #1815362
	(CVE-2007-5623) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1815 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-09  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_snmp.c: Fix check_snmp buffer overflow
	(CVE-2007-5623) This patch comes from the Gentoo Portage tree but I couldn't find
	the author. I sent an email and will give credits when I get an
	answer.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1814 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-09  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ssh.c: Close the socket on all exits (not just the
	OK one) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1813 f882894a-f735-0410-b71e-b25c423dba1c

2007-11-09  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_snmp.c: Fix missing \n in --help output git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1812 f882894a-f735-0410-b71e-b25c423dba1c

2007-10-25  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_ntp.c: check_ntp now return UNKNOWN instead of
	WARNING if jitter is unavailable. If no offset threshold is
	specified and the offset is unavailable, will return UNKNOWN as
	well.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1811 f882894a-f735-0410-b71e-b25c423dba1c

2007-10-25  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins-root/check_dhcp.c, plugins/check_ping.c,
	plugins/check_ups.c, tools/sync_website: Automatically update
	website with --help output. Cosmetic fixes for some help output git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1810 f882894a-f735-0410-b71e-b25c423dba1c

2007-10-24  Holger Weiss <hweiss@users.sourceforge.net>

	* THANKS.in, plugins/check_snmp.c: Hide the SNMP community string
	(and v3 passwords) from error messages (Bernhard Fischer on
	nagiosplug-devel@) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1809 f882894a-f735-0410-b71e-b25c423dba1c

2007-10-15  Ton Voon <tonvoon@users.sourceforge.net>

	* doc/RELEASING: Add reparagraph option to make ChangeLog output bit
	prettier git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1808 f882894a-f735-0410-b71e-b25c423dba1c

2007-10-14  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_http.c: Fix a possible segfault if using "-f follow"
	and the server sends a forged "LLLLocation" header prefixed with
	multiple "L"s (fabiodds - 1813346) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1807 f882894a-f735-0410-b71e-b25c423dba1c

2007-10-11  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_ntp.c: Add stratum thresholds support for
	check_ntp (feature request #1703823) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1806 f882894a-f735-0410-b71e-b25c423dba1c

2007-10-11  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp.c: Use provided threshold functions (no
	functionnal change apart the check for overlaping thresholds) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1805 f882894a-f735-0410-b71e-b25c423dba1c

2007-10-02  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, plugins/check_http.c: Fix regression in 1.4.10 where
	following redirects to relative URLs on virtual hosts failed if both
	"-H" and "-I" were specified (noted by Rodrigo A. G. Schichaschwili
	on nagiosplug-devel@) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1804 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-29  Ton Voon <tonvoon@users.sourceforge.net>

	* doc/RELEASING: Updated notes on releasing, mainly for svn git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1803 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-29  Ton Voon <tonvoon@users.sourceforge.net>

	* BUGS, ChangeLog, NEWS, configure.in, package.def: Prep for 1.4.10 git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1801 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-26  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, plugins/check_radius.c: Drop the weird and undocumented
	behaviour of using positional argument parsing instead of getopt(3)
	if 8 command line arguments were given (as suggested by Matthias)
	and check whether all required arguments have been specified in
	order to spit out proper error messages and to avoid a possible
	segfault (as suggested by Thomas).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1800 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-26  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_ntp.c: Patch #1798774: check_ntp:
	honor ntp flags git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1799 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-24  Ton Voon <tonvoon@users.sourceforge.net>

	* : Update N::P with new version, redirecting help, version and
	usage to stdout git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1798 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-24  Ton Voon <tonvoon@users.sourceforge.net>

	* doc/developer-guidelines.sgml: State that stderr should not have
	any output git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1796 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-24  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, configure.in, plugins/netutils.c: Let ./configure
	--without-ipv6 suppress non-IPv4 DNS lookups (noted by Mark Frost on
	nagios-users@) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1794 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-23  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_disk.c, plugins/negate.c: Removed some c99 style
	comments git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1793 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-23  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins/check_by_ssh.c: Added multiline output capability to
	check_by_ssh. Thanks to Matthias Flacke (#1769653) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1792 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-23  Matthias Eble <psychotrahe@users.sourceforge.net>

	* BUGS: removed solved issues git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1791 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-23  Matthias Eble <psychotrahe@users.sourceforge.net>

	* REQUIREMENTS: Added radiusclient-ng support to requirement notes git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1790 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-23  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins/check_disk.c: Fixed bug: stat was called on remote
	fs even if -l was given Added -L option to call stat on remote fs
	but without threshold comparison git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1789 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-23  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, THANKS.in, configure.in, plugins/check_radius.c: Added
	radiusclient-ng support for check_radius. Thanks to Sebastien Guay
	(#1218438) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1788 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-22  Matthias Eble <psychotrahe@users.sourceforge.net>

	* lib/utils_disk.c, lib/utils_tcp.c, plugins/check_disk.c: 
	substituted bool/true/false with int/TRUE/FALSE (discussed on
	np-devel) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1787 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-22  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, lib/tests/test_disk.c, lib/utils_disk.c, lib/utils_disk.h,
	plugins/check_disk.c, plugins/t/check_disk.t: Added -i/-I to ignore
	pathes/partitions based on regular expressions Added check_disk -A
	selecting all filesystems -E option must now be passed before -p or
	-r/-R Passing -E after -p or -r results in UNKNOWN state Fixed bug
	when mixing case sensitive and insensitive regexes git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1786 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-22  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/negate.c, plugins/t/negate.t: Rewrite the "map
	changes to return codes" patch nearly from scratch.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1785 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-21  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, configure.in, lib/Makefile.am, lib/tests/Makefile.am,
	lib/tests/test_cmd.c, lib/tests/test_cmd.t, lib/utils_cmd.c,
	lib/utils_cmd.h, plugins/Makefile.am, plugins/negate.c,
	plugins/t/negate.pl, plugins/t/negate.t: Stop double expansion of
	parameters for negate - works like time command now git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1784 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-21  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_disk.c: My solaris box needs %llu to display 64bits
	integers.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1783 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-21  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_disk.c: - Added some variables at verbose==3 - Removed support for verbose<0 (-q). -q was broken and tried to to
	the same as -e.  - -q in now an undocumented alias of -e (for
	backward-compatibility).  NB: Long help text for -d was already
	missing.  - Reordered the switches so that:     a. less-important ones are in
	    alphabetical order b. short and long help orders match.  - Enclosed "-p | -x" inside braces instead of brackets as one or the
	other is required.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1782 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-17  Ton Voon <tonvoon@users.sourceforge.net>

	* Makefile.am: Include directories and files required for perl
	modules git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1781 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-15  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, plugins/check_smtp.c: Properly handle SMTP server responses
	which are split into multiple packets (noted by Chris Adams on
	nagiosplug-help@).  TODO: The new recvline()/recvlines() functions
	should buffer received data instead of reading one byte at a time
	and they should be moved to netutils.c so that other plugins can use
	them, too.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1780 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-15  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, plugins-root/check_icmp.c: Correct all instances of
	misaligned memory access.  This fixes bus erros on platforms which
	require alignment (such as SPARC and MIPS).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1779 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-15  Holger Weiss <hweiss@users.sourceforge.net>

	* tools/devmode: Remove "-Wtraditional" from our development GCC
	flags.  We use ANSI C.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1778 f882894a-f735-0410-b71e-b25c423dba1c

2007-09-13  Ton Voon <tonvoon@users.sourceforge.net>

	* Makefile.am, configure.in, perlmods/Makefile.am,
	perlmods/install_order, tools/build_perl_modules: Adding in optional
	Nagios::Plugin perl module (and dependencies) compilation and
	installation git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1777 f882894a-f735-0410-b71e-b25c423dba1c

2007-08-28  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* contrib/check_apc_ups.pl, contrib/check_appletalk.pl,
	contrib/check_linux_raid.pl, contrib/check_snmp_procs.pl: These
	plugins assumed the "use lib util.pm;" would be substituted like
	standard Perl plugins (in plugins-scripts) which isn't the case in
	contrib. I changed the "use lib" line to use the default path.
	People using custom paths will have to change it manually.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1771 f882894a-f735-0410-b71e-b25c423dba1c

2007-08-09  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_disk.c: Don't use C++ style comments (noted by
	Johannes Kingma on nagiosplug-help@) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1770 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-31  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_smtp.c: Read the response to an SMTP QUIT command
	before closing the socket (noted by Dieter Hendricks on
	nagiosplug-help@) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1769 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-29  Holger Weiss <hweiss@users.sourceforge.net>

	* lib/utils_base.c: Don't use C++ style comments.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1768 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-27  Holger Weiss <hweiss@users.sourceforge.net>

	* tools/tinderbox_build: If the TMPDIR environment variable is set,
	use that instead of "/tmp" as the installation directory.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1767 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-26  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, plugins-root/check_dhcp.c: The "--serverip" and
	"--requestedip" options now accept host names, too.  This doesn't
	quite fit the option names and so far I haven't changed the "--help"
	output which currently only talks about IP addresses.  However, I
	don't see why resolving host names should not be supported.  Also note that for the moment, I added a quick'n'dirty
	resolve_host() function which should really go into netutils.c.  I
	just wanted to think about its interface a bit more before providing
	such a function globally.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1766 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-26  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, plugins-root/check_dhcp.c: New "-m, --mac" option which
	allows for specifying the MAC address to use in the DHCP request.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1765 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-26  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins-root/check_dhcp.c: Make sure strncpy(3)d buffers are
	nul-terminated.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1764 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-26  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins-root/check_dhcp.c: A few minor fixes/improvements which
	were included with (but unrelated to) the "--unicast" patch (Andreas
	Ericsson and Heiti Ernits - 1218235) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1763 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-26  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, THANKS.in, configure.in, plugins-root/check_dhcp.c: New "-u,
	--unicast" option which gives check_dhcp the ability to mimic a DHCP
	relay server in order to check remote subnets (Heiti Ernits and
	Andreas Ericsson - 1218235) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1762 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-24  Ton Voon <tonvoon@users.sourceforge.net>

	* .cvsignore, build-aux/.cvsignore, doc/.cvsignore, gl/.cvsignore,
	intl/.cvsignore, lib/.cvsignore, lib/tests/.cvsignore,
	m4/.cvsignore, pkg/solaris/.cvsignore, plugins-root/.cvsignore,
	plugins-scripts/.cvsignore, plugins/.cvsignore,
	plugins/t/.cvsignore, po/.cvsignore: Removing all .cvsignore files git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1761 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-24  Ton Voon <tonvoon@users.sourceforge.net>

	* tools/sfsnapshot, tools/sfwebcron: Updated to use svn instead of
	cvs git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1760 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-21  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, plugins/check_http.c: Add "Connection: close" to the HTTP
	request header, which tells HTTP/1.1 servers to close the connection
	after completion of the response.  This should be compatible with
	HTTP/1.0, as HTTP/1.0 allows for custom header fields which should
	be ignored if not recognized by the server.  With some server
	configurations, the server would keep the connection alive without
	this header line (despite the plugin requesting HTTP/1.0), resulting
	in the plugin running into either the server's or it's own timeout
	(reported by Roman Schliessmeyer and Jesse Morgan via IRC).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1759 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-15  Matthias Eble <psychotrahe@users.sourceforge.net>

	* THANKS.in, plugins/check_procs.c: Make ps column count in zombie
	detection less restrictive. Thanks to Andrew Elwell (#1280470) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1758 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-14  Matthias Eble <psychotrahe@users.sourceforge.net>

	* THANKS.in, plugins/check_smtp.c: Fixed segfault in argument
	processing. Thanks to Christoph Schell (#1742066) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1757 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-14  Matthias Eble <psychotrahe@users.sourceforge.net>

	* THANKS.in, plugins/check_ntp.c: check_ntp: Fixed typo in typo in
	argument sanity check. Thanks to Aurelien Bompard (#1753506) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1756 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-10  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins/check_disk.c: Added examples for new features to
	check_disk git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1755 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-10  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins/check_disk.c, plugins/t/check_disk.t: Check_disk now
	calls stat() for all filesystems to check.  Check_disk prints an
	strerror() message if the call of stat() fails.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1754 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-07  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_ldap.c: Added -v/--verbose argument to call
	ldap_perror() for detailed messages on failure.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1753 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-07  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/utils.c: Changed output order of print_revision
	print_revision now uses clean_revstring git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1752 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-07  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins-scripts/utils.pm.in: Changed print_revision output order
	in utils.pm git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1751 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-07  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins-scripts/check_file_age.pl: substituted $ID$ through
	$Revision$ in print_revision call git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1750 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-07  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins-scripts/check_log.sh, plugins-scripts/check_oracle.sh,
	plugins-scripts/utils.sh.in: Changed order in -V/--version output
	Fixed -V output for check_log and check_oracle git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1749 f882894a-f735-0410-b71e-b25c423dba1c

2007-07-06  Matthias Eble <psychotrahe@users.sourceforge.net>

	* doc/developer-guidelines.sgml: Added hint to avoid using the
	boolean type in C as discussed on the devel list git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1748 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-20  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_ldap.c: Fixed default behaviour of check_ldaps git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1747 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-20  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, plugins/check_ldap.c: Clarified check_ldaps behaviour. New
	arguments to explicitly select secure connect behaviour
	(--starttls/--ssl).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1746 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-20  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_cluster.c: added -V/--version to check_cluster git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1745 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-18  Matthias Eble <psychotrahe@users.sourceforge.net>

	* REQUIREMENTS, configure.in, plugins/.cvsignore: Make Linux
	specific plugin check_ide_smart build if appropriate headers are
	found git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1744 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-17  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_http.c: Minor fixes.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1743 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-17  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, plugins/check_http.c: Fix buffer overflow vulnerabilities
	when parsing HTTP redirect 'Location:' strings using sscanf(3)
	(Nobuhiro Ban - 1687867) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1742 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-15  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_http.c: When following redirects, the plugin
	supported 'Location:' header fields which spanned multiple lines.
	However, it was not checked whether extra lines are preceeded with
	white space, which could lead to the following header field name
	being interpreted as the value of the 'Location:' field if the
	latter was empty for some reason.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1741 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-15  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_http.c: `host_name' is a NULL pointer if the "-I"
	flag is used instead of "-H", so use `server_address' instead.
	Fixes a possible segfault when following redirects to relative URLs
	(reported by Ingo Lantschner).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1740 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-13  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_ide_smart.c: Fixed some syntax errors to make
	check_ide_smart build git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1739 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-12  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_by_ssh.c: Add "-v" to help/usage output.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1738 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-12  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/popen.c: Removed debug line git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1737 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-11  Matthias Eble <psychotrahe@users.sourceforge.net>

	* THANKS.in, plugins/popen.c: Fixed problem with popen.c not parsing
	--longopt='foo bar' correctly (Daniel Bimschas #1291987) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1736 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-04  Ton Voon <tonvoon@users.sourceforge.net>

	* THANKS.in: Removed duplicate names git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1735 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-04  Ton Voon <tonvoon@users.sourceforge.net>

	* BUGS, ChangeLog, NEWS, configure.in, package.def: For 1.4.9
	release git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1733 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-03  Matthias Eble <psychotrahe@users.sourceforge.net>

	* lib/tests/test_tcp.c: Minor corrections to test_tcp.c git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1732 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-03  Matthias Eble <psychotrahe@users.sourceforge.net>

	* lib/tests/Makefile.am: Makefile.am changes for test_tcp.c git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1731 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-03  Matthias Eble <psychotrahe@users.sourceforge.net>

	* configure.in, lib/tests/.cvsignore, lib/tests/test_tcp.c,
	lib/tests/test_tcp.t: Added test cases for utils_tcp git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1730 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-03  Matthias Eble <psychotrahe@users.sourceforge.net>

	* NEWS, lib/Makefile.am, lib/utils_tcp.c, lib/utils_tcp.h,
	plugins/check_tcp.c: Moved check_tcp's expect string testing into
	utils_tcp for testing purposes.  Added -A/--all flag to test for
	every expect string passed.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1729 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-01  Holger Weiss <hweiss@users.sourceforge.net>

	* BUGS, NEWS: Fix possible check_http segfaults when following HTTP
	redirects.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1728 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-01  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_http.c: Fix an off-by-one error where a realloc(3)
	call doesn't allocate space for nul-termination (Aravind Gottipati -
	1729692) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1727 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-01  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/sslutils.c: Call the SSL library initialization functions
	only once (not for every SSL connection).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1726 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-01  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/sslutils.c: Save an entire CPU cycle if c points to NULL
	already.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1725 f882894a-f735-0410-b71e-b25c423dba1c

2007-06-01  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/sslutils.c: Set the pointers to the SSL and SSL_CTX
	objects back to NULL after freeing them in np_net_ssl_cleanup().
	This fixes a check_http segfault if an SSL site redirects to a
	non-SSL one (reported by Aravind Gottipati via IRC).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1724 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-29  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_tcp.c: Fix segfault when -e is specified multiple
	times. Thanks to John Rouillard and Ralph Roessner (#1475899) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1723 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-29  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_tcp.c: No more warn/crit values in performance data
	if -w and -c are not specified.  Thanks to Simon Bellwood (#1181554) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1722 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-29  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_snmp.c: check_snmp don't warn anymore if
	something is printed on stderr git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1721 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-29  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_snmp.c: change a bunch of whitespaces (no code was
	harmed) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1720 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-27  Matthias Eble <psychotrahe@users.sourceforge.net>

	* THANKS.in, plugins-scripts/check_oracle.sh: check_oracle does not
	need a valid ORACLE_HOME if called with --db. Thanks to Jason Martin
	(#1505551) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1719 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-27  M. Sean Finney <seanius@users.sourceforge.net>

	* lib/utils_base.c, lib/utils_base.h, plugins-root/check_dhcp.c,
	plugins-root/check_icmp.c: added functions to utils_base:   np_check_if_root() - returns nonzero if geteuid()==0   np_warn_if_not_root() - uses the above to print an informative
	  warning added uses of these functions to check_dhcp and
	check_icmp.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1718 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-24  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/t/negate.pl: Test for new functionality in negate (not
	automatically run in make test) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1717 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-24  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/check_dummy.c, plugins/t/check_dummy.t: Tests for
	check_dummy git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1716 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-23  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/check_http.c, po/de.po, po/fr.po,
	po/nagios-plugins.pot: Update many strings in check_http to get more
	consistent output Update translation files; fix all check_http
	changes in French and most changes in German.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1715 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-18  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/t/check_tcp.t: Make check_tcp.t compatible with picky web
	servers.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1714 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-13  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_http.c: Add missing options to the usage output.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1713 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-13  Matthias Eble <psychotrahe@users.sourceforge.net>

	* THANKS.in, plugins-root/check_dhcp.c: check_dhcp now adds
	mandatory end option (Thanks to Enrico Scholz - #1675306) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1712 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-12  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_cluster.c: Fixed glibc error caused in utils_base.c
	due to uninitialized thresholds struct (spotted on ubundu 6.06 LTS).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1711 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-12  Ton Voon <tonvoon@users.sourceforge.net>

	* ABOUT-NLS, build-aux/mkinstalldirs, configure.in: Updating gettext
	files from coreutils-6.9. mkinstalldirs needs to be in build-aux for
	some systems without gettext natively. Also have at top level,
	though gettext documentation says file not neceesary git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1710 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-09  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_ups.c: small typo in --help git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1709 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-09  Matthias Eble <psychotrahe@users.sourceforge.net>

	* THANKS.in, plugins/check_ups.c: Fixed --help output (Ask Bjoern
	Hansen - #1714823) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1708 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-09  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/t/check_disk.t: added testcase to verify that old
	positional arguments only select one path git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1707 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-03  Matthias Eble <psychotrahe@users.sourceforge.net>

	* ChangeLog, THANKS.in, plugins/check_disk.c: fixed backward
	incompatibility introduced in 1.4.8 where all partitions are
	selected, if path is specified as last argument (without using -p).
	Thanks to Emil Michles (Emilis) on #nagios git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1706 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-02  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* tools/distclean: Making Solaris happy git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1705 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-02  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS: /* Nothing */ git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1704 f882894a-f735-0410-b71e-b25c423dba1c

2007-05-02  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, THANKS.in, plugins/check_time.c: Fix check_time returning
	wrong OK when time is before the epoch on some arch git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1703 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-28  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/t/check_cluster.t: added test cases for check_cluster git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1702 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-25  Ton Voon <tonvoon@users.sourceforge.net>

	* tools/tinderbox_build: Test installs into temporary directories git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1701 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-25  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, configure.in, plugins/check_load.c, plugins/common.h,
	plugins/t/check_load.t: check_load can optionally divide by number
	of cpus git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1700 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-23  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_ping.c: #ifdef can only test a single macro, not an
	expression.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1699 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-20  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins-root/check_dhcp.c: Remove unused variables.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1698 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-20  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_cluster.c: Include "utils_base.h".  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1697 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-20  Holger Weiss <hweiss@users.sourceforge.net>

	* lib/utils_base.h: Declare print_thresholds().  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1696 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-20  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_cluster.c: Predeclare functions and remove unused
	variables.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1695 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-20  Holger Weiss <hweiss@users.sourceforge.net>

	* THANKS.in, plugins-root/check_dhcp.c: Use the 'server identifier'
	option instead of the 'siaddr' field as the DHCP server address; see
	RFC 2131, 2. (Denis Knauf - 1667488) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1694 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-19  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, configure.in: Fix compilation of check_ldap, check_radius
	and check_pgsql (*ding*) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1693 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-18  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS, plugins/check_by_ssh.c: Revert my previous change to
	"-S/--skip" in favour of the two options "-E/--skip-stderr" and
	"-S/--skip-stdout".  Both of them support omitting the number of
	lines to skip, in which case all output on the respective file
	descriptor is skipped.  "--skip" is kept as an alias for
	"--skip-stdout" for backwards compatibility with recent releases.  Also, print a message if no (non-skipped) stdout/stderr output is
	available.  This fixes a segfault if the remote command prints no
	output.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1692 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_cluster.c: Localization and help fixes (Thanks
	Benoit M.) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1691 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_cluster.c: Cosmetic change git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1690 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* contrib/check_cluster2.README: More details about the changes git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1689 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, plugins/Makefile.am, plugins/check_cluster.c: Add thresholds
	support for check_cluster + lots of standardization.  Add forgotten
	items to NEWS.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1688 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-15  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* BUGS, plugins/check_snmp.c: Fix bug #1344584: Counter64 values not
	handled correctly git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1687 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-14  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* BUGS: Works for me git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1686 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-14  Holger Weiss <hweiss@users.sourceforge.net>

	* BUGS, plugins/check_by_ssh.c: Up to revision 1.35, the "-S" option
	skipped the specified number of lines written to stderr.  With
	revision 1.36 and newer, "-S" skipped the specified number of lines
	written to stdout.  Now, "-S" skips the specified number of lines
	written to stderr; and if the number specified via "-S" minus the
	number of lines written to stderr is larger than 0, the difference
	is used as the number of lines written to stdout to skip.  Also, the
	"--help" output was fixed.  (Hector - 1675286) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1685 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-13  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/.cvsignore: ... Some CVS magic too git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1684 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-13  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* contrib/check_cluster2.README, plugins/Makefile.am,
	plugins/check_cluster.c: automake magic for check_cluster git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1683 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-11  Ton Voon <tonvoon@users.sourceforge.net>

	* doc/RELEASING: Add news item to nagiosplugins.org git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1682 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-11  Ton Voon <tonvoon@users.sourceforge.net>

	* AUTHORS, BUGS, ChangeLog, NEWS, configure.in, package.def: 1.4.8
	release git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1680 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* po/POTFILES.in, po/de.po, po/fr.po, po/nagios-plugins.pot: Add
	some check_ntp translations git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1679 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp.c: - Fix possibility of printing scientific numbers in perfdata - Use fperfdata function for perfdata formatting - Make the printing part a bit more flexible (similar to check_disk) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1678 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-10  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* po/de.po, po/fr.po, po/nagios-plugins.pot: Hopefully this is
	correct. Need to make more changes so I'm commiting these.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1677 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-04  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp.c: Fix for getting dispersion instead of jitter
	on older servers (like xntpd on Solaris).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1676 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-03  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_ntp.c: Fix the synchronization source selection on
	big-endian systems.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1675 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-03  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp.c: Temporary fix for jitter calculation git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1674 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-02  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_ntp.c: Don't rely on the assumption that the size of
	a READSTAT response is a multiple of sizeof(ntp_assoc_status_pair).  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1673 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-02  Ton Voon <tonvoon@users.sourceforge.net>

	* lib/tests/Makefile.am: Add libgnu.a as regex functions required git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1672 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-02  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp.c: Fix byte order in verbose logging git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1671 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-02  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins/check_ntp.c: Seems like we don't get any jitter sometimes.
	While this needs to be fixed we should at least handle it
	gracefully.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1670 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-01  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/t/check_http.t: check_http.t: - added internet_access
	              variable to skip tests where internet access is required.  - added host_tcp_http2 variable for a webserver serving the string
	              'nagios' in index - no tests are skipped if the new vars are not defined (existing
	installations) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1669 f882894a-f735-0410-b71e-b25c423dba1c

2007-04-01  Matthias Eble <psychotrahe@users.sourceforge.net>

	* lib/utils_disk.c: utils_disk: fixed handling if check_disk -p is a
	device (np_set_best_match()) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1668 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-31  Holger Weiss <hweiss@users.sourceforge.net>

	* NEWS: Various check_ntp fixes git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1667 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-31  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_ntp.c: Fix an out-of-bounds memcpy(3) and add a
	realloc(3) error check in jitter_request().  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1666 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-31  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_ntp.c: Add a warning to the verbose output if
	jitter_request() found no synchronization source.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1665 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-31  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_ntp.c: Avoid division by zero.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1664 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-31  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins/check_ntp.c: Remove the '-O' option, as it's ignored.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1663 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-30  Ton Voon <tonvoon@users.sourceforge.net>

	* m4/np_mysqlclient.m4: Use AS_HELP_STRING instead of
	ACX_HELP_STRING git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1662 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-30  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, configure.in, m4/np_mysqlclient.m4: Fix AC_CHECK_LIB for
	mysql_init - add dependent libraries. mysql detection separated into
	external m4 file git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1661 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-30  Matthias Eble <psychotrahe@users.sourceforge.net>

	* lib/tests/test_disk.c, plugins/t/check_disk.t: Test Cases for
	check_disk's -r, -R, -C and -g git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1660 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-30  Matthias Eble <psychotrahe@users.sourceforge.net>

	* plugins/check_disk.c: check_disk: minor fix for -C if bestmatch !=
	-p git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1659 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-30  Matthias Eble <psychotrahe@users.sourceforge.net>

	* lib/utils_disk.c, lib/utils_disk.h, plugins/check_disk.c: 
	check_disk: added regex functionality -r and -R. see np-devel mail
	(2007-02-10) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1658 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-30  Matthias Eble <psychotrahe@users.sourceforge.net>

	* lib/utils_disk.c, lib/utils_disk.h, plugins/check_disk.c: 
	check_disk: added grouping functionality. see np-devel mail
	(2007-02-10) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1657 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-30  Matthias Eble <psychotrahe@users.sourceforge.net>

	* lib/utils_disk.c, lib/utils_disk.h, plugins/check_disk.c: 
	check_disk -C is more flexible now. See np-devel post (2007-02-10) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1656 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-29  Holger Weiss <hweiss@users.sourceforge.net>

	* THANKS.in, plugins/check_mysql.c: Fix argument processing (Felix
	Frank - 1690697) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1655 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-29  Holger Weiss <hweiss@users.sourceforge.net>

	* plugins-root/Makefile.am: Set the "read" and "execute" bits only
	for "user" and "group" in order to not overwrite
	"--without-world-permissions" for the root plugins.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1654 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-29  Ton Voon <tonvoon@users.sourceforge.net>

	* BUGS, ChangeLog, NEWS, configure.in, package.def: 1.4.7 release git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1652 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-29  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/check_ntp.c: Adding help text for jitter flags git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1651 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-27  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* THANKS.in, plugins-root/check_icmp.c: Fix bug #1494629 -
	check_icmp fails after some time on FreeBSD git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1650 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-25  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, configure.in: Reinstate --with-nagios-user/group and new
	--without-group-permissions ./configure options git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1649 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-22  Holger Weiss <hweiss@users.sourceforge.net>

	* THANKS.in, plugins/common.h: Increase MAX_INPUT_BUFFER from 1k to
	8k in order to increase I/O performance (Stefan Meier) git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1646 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-16  Gavin Carr <gonzai@users.sourceforge.net>

	* plugins-scripts/check_ifoperstatus.pl: Fix bogus 'eq (  ||  )'
	constructions in check_ifoperstatus.pl.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1642 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-12  Ton Voon <tonvoon@users.sourceforge.net>

	* NEWS, plugins/check_ping.c, plugins/t/check_ping.t: check_ping's
	timeout interval is only +1 if ping command has a timeout value.
	Tests updated to check for 100% packet loss (always if ping has
	timeout), otherwise will check for "timed out" string git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1639 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-11  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins-root/t/check_icmp.t: Add tests for new check_icmp switch
	-m git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1638 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-11  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins-root/t/check_icmp.t, plugins/t/check_ping.t: Converted
	check_ping.t to new-style testcases. Added test case for check_icmp
	- requires sudo access git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1637 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-11  Ton Voon <tonvoon@users.sourceforge.net>

	* plugins/check_ping.c: Fixed some help display. Removed -L from
	usage as deprecated option git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1636 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-08  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* NEWS, THANKS.in, plugins-root/check_icmp.c: New switch to
	check_icmp to set the minimum required hosts for success.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1635 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-08  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* config_test/child_test.c: Ficing C++ style comments git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1634 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-08  Thomas Guyot-Sionnest <dermoth@users.sourceforge.net>

	* plugins-root/check_icmp.c: Fixed C++ style comments, but I don't
	get why those lines were originally commented out.  git-svn-id:

	https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@1633 f882894a-f735-0410-b71e-b25c423dba1c

2007-03-06  Ton Voon <tonvoon@users.sourceforge.net>

